#ifndef _IBUFFERN_INL_
#define _IBUFFERN_INL_
/*----------------------------------------------------------------------------*/
/* FILE NAME: ibuffern.inl                                                    */
/*                                                                            */
/* DESCRIPTION:                                                               */
/*   This file contains the definition of the inline functions for the        */
/*   classes declared in ibuffern.hpp.                                        */
/*                                                                            */
/*                                                                            */
/* COPYRIGHT:                                                                 */
/*   IBM Open Class Library                                                   */
/*   Licensed Materials - Property of IBM                                     */
/*                                                                            */
#ifdef __MVS__
/*   5645-001                                                                 */
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
#ifdef __OS400__
/*   ????-???                                                                 */
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
#ifdef __OS2__
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
#ifdef __WINDOWS__
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
#ifdef _AIX
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
#ifdef _sparc
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
#ifdef __sparc
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
/*                                                                            */
/*----------------------------------------------------------------------------*/

#ifndef __DEBUG_ALLOC__

inline void* IBuffer::operator new ( size_t, unsigned realSize )
{
  void *p = ::new char[ checkAddition( sizeof( IBuffer ), realSize ) ];
  return p;
}

inline void IBuffer::operator delete ( void *p )
{
  ::delete [] (char*)p;
}

#endif
#endif // _IBUFFERN_INL_
