// This is an internal header used by IMessageText (only imsgtext.cpp includes it)

static const char *IMessageTextDefaultMessages[] =
{
/* EMPTY    */ NULL,
/* UIL0001E */ "The following expression must be true, but it evaluated to false1 %1.",
/* UIL0002E */ "An attempt was made to call an unsupported function through a base class pointer.",
/* UIL0003E */ "An unexpected error has occurred.",
/* UIL0004E */ "Out of memory; unable to allocate memory.",
/* UIL0005E */ "An attempt was made to destroy a window object from within a handler that was handling an event for the same window.",
/* UIL0006? */ NULL,
/* UIL0007? */ NULL,
/* UIL0008? */ NULL,
/* UIL0009E */ "The filesystem operation was cancelled",
/* UIL0010E */ "This operating system does not support this function.",
/* UIL0011E */ "A file system volume cannot be deleted",
/* UIL0012E */ "A file system volume cannot be renamed",
/* UIL0013E */ "The filesystem object is invalid",
/* UIL0014E */ "The filesystem entity was not found",
/* UIL0015E */ "The filesystem entity already exists",
/* UIL0016E */ "The volume is offline",
/* UIL0017E */ "The filename is invalid",
/* UIL0018E */ "The Directory is not empty",
/* UIL0019E */ "The filesystem is in use",
/* UIL0020E */ "Attempted to read beyond the end of file",
/* UIL0021E */ "The filesystem entity is not the correct type",
/* UIL0022E */ "%1 is not a file",
/* UIL0023E */ "%1 is not a directory",
/* UIL0024E */ "%1 is not a volume",
/* UIL0025E */ "An invalid DBCS string was specified.",
/* UIL0026E */ "An error occurred while converting an MBCS string to a wide character string.",
/* UIL0027E */ "A protected function of a class was called; it can produce unpredictable results.",
/* UIL0028? */ NULL,
/* UIL0029? */ NULL,
/* UIL0030E */ "The presentation space could not be released.",
/* UIL0031E */ "The keyboard event does not contain a valid character code.",
/* UIL0032E */ "The keyboard event does not contain a valid scan code.",
/* UIL0033E */ "The keyboard event does not contain a valid virtual key.",
/* UIL0034E */ "The presentation parameter value was not found.",
/* UIL0035E */ "The specified color index is not valid.",
/* UIL0036E */ "The event is not valid for this function.",
/* UIL0037E */ "The keyboard event contains a double-byte character, which is not valid for this function.",
/* UIL0038E */ "A scan code cannot be returned for double-byte character input.",
/* UIL0039E */ "The specified enumerator value is not valid.",
/* UIL0040E */ "There is no marked text to copy, cut, clear, or delete.",
/* UIL0041E */ "There is no data in the clipboard for pasting.",
/* UIL0042E */ "The request to remove the handler failed because the handler could not be found.",
/* UIL0043E */ "The combination of styles is not valid because a contradiction is specified.",
/* UIL0044E */ "The function could not be executed because the specified size is too small to contain the text.",
/* UIL0045E */ "The specified frame extension control was not found.",
/* UIL0046E */ "The specified thread ID is not valid.",
/* UIL0047E */ "start() is not valid because the specified thread is already started.",
/* UIL0048E */ "An invalid request was made to suspend a PM thread.",
/* UIL0049E */ "Unable to acquire a semaphore to satisfy the setLock() request.",
/* UIL0050E */ "More than one view window was specified for the view port to scroll.",
/* UIL0051E */ "Attempt to allocate an IString that is too big.",
/* UIL0052E */ "An attempt was made to index beyond the end of a const IString.",
/* UIL0053E */ "objectCopy() was requested when the object does not support copy.",
/* UIL0054E */ "Object construction failed; you must use operator new.",
/* UIL0055E */ "Two controls cannot start in the same cell; a control already starts in cell %1.",
/* UIL0056E */ "The window dispatcher found a handler that was invalid. The handler must be removed before deletion.",
/* UIL0057E */ "The function could not be executed because the imported text exceeds the text limit.",
/* UIL0058E */ "An attempt was made to dereference a null IReference.",
/* UIL0059E */ "Unable to create %1 widget.",
/* UIL0060E */ "Unable to initialize XmString context.",
/* UIL0061E */ "The handle of the window is not valid.",
/* UIL0062E */ "startHandlingEvents() failed because no window exists with the specified ID.",
/* UIL0063E */ "The parent of the specified object is not an IWindow.",
/* UIL0064E */ "Could not find this control using %1 .",
/* UIL0065E */ "The control to be used is not of type %1 .",
/* UIL0066E */ "An attempt was made to allocate a keyed thread variable beyond the library's limit.",
/* UIL0067E */ "The function is not valid for bitmap fonts.",
/* UIL0068E */ "You are attempting to use operator new for more objects than the allocator supports.",
/* UIL0069E */ "Allocator construction failed; you cannot construct an allocator from 0 items.",
/* UIL0070E */ "An attempt was made to clear the title text.  A null title is not allowed.",
/* UIL0071E */ "The object must be constructed with the %1 style in order to perform this function.",
/* UIL0072E */ "You must construct tab control buttons with the parent returned by ITabControl11buttonParent.",
/* UIL0073E */ "The ITabPage you specified was not found in the ITabControl.",
/* UIL0074E */ "The data on the stream is not in the expected format.",
/* UIL0075E */ "An attempt was made to read past the end of the stream.",
/* UIL0076E */ "An invalid stream encoding was specified.",
/* UIL0077E */ "An unknown type was encounted on the stream.",
/* UIL0078E */ "An object previously seen on the stream was reallocated.",
/* UIL0079E */ "The context number is out of range.",
/* UIL0080E */ "A user interface help window error occurred.",
/* UIL0081E */ "An error occurred loading the dynamic link library containing help information.",
/* UIL0082E */ "No help window is associated with the application window.",
/* UIL0083E */ "The application window associated with the help window is not valid.",
/* UIL0084E */ "The help window associated with the application window is not valid.",
/* UIL0085E */ "The application window used to query the help window is not valid.",
/* UIL0086E */ "Context-sensitive help is not available.",
/* UIL0087E */ "The handle specified for a help window is not valid.",
/* UIL0088E */ "Context-sensitive help is not available for this item.",
/* UIL0089E */ "The help index could not be found.",
/* UIL0090E */ "No information is contained in the help library.",
/* UIL0091E */ "The help library cannot be opened.",
/* UIL0092E */ "The help library cannot be read.",
/* UIL0093E */ "The help library cannot be closed.",
/* UIL0094E */ "The contents of the help library are not formatted correctly.",
/* UIL0095E */ "Insufficient memory is available for help processing.",
/* UIL0096E */ "Memory could not be freed.",
/* UIL0097E */ "The requested help panel could not be found.",
/* UIL0098E */ "An internal error occurred during the processing of the help request.",
/* UIL0099E */ "An error occurred during the processing of the help request.",
/* UIL0100E */ "This thread is not processing events.",
/* UIL0101E */ "This frame extension is already in use.",
/* UIL0102E */ "The help window could not load or initialize the font set.",
/* UIL0103E */ "The system could not load the font or process the font description.",
/* UIL0104E */ "The notebook page does not have a status line for displaying status text.",
/* UIL0105E */ "Transcoding buffer range specified is invalid",
/* UIL0106E */ "Transcoding flush buffer is invalid",
/* UIL0107E */ "No transcoder matching the charset and proximity specified",
/* UIL0108E */ "Transcoder for charset or locale specified is not installed",
/* UIL0109E */ "The host transcoder is not portable across a network",
/* UIL0110E */ "An input byte does not belong to the input codeset",
/* UIL0111E */ "Incomplete character or shift sequence at the end of the input buffer",
/* UIL0112E */ "The object cannot be located",
/* UIL0113E */ "The name is invalid in this context",
/* UIL0114E */ "The operation could not proceed, but might be able to continue",
/* UIL0115E */ "The object already exists",
/* UIL0116E */ "The container must be empty",
/* UIL0117E */ "The end of stream was encountered",
/* UIL0118E */ "The component runtime glue was not initialized",
/* UIL0119E */ "An Aswan Error has occurred",
/* UIL0120E */ "TestStageException occured",
/* UIL0121E */ "beginConversation() is not valid; a conversation with this client (window) is already active.",
/* UIL0122E */ "%1 is not valid; there is no active conversation.",
/* UIL0123E */ "endConversation() is not valid; there is no active conversation with this ID.",
/* UIL0124E */ "WinDdeInitiate failed; unable to begin conversation.",
/* UIL0125E */ "%1 failed; unable to complete the requested transaction1 %2.",
/* UIL0126? */ NULL,
/* UIL0127? */ NULL,
/* UIL0128E */ "beginHotLink() is not valid; a hot link for this item and format is already active.",
/* UIL0129E */ "beginHotLink() is not valid; a beginHotLink() request for this item and format is pending.",
/* UIL0130E */ "%1 is not valid; there is no active hot link for this item and format.",
/* UIL0131E */ "endHotLinks() is not valid; there are no active hot links.",
/* UIL0132E */ "endHotLinks() is not valid; there are no active hot links for this item.",
/* UIL0133E */ "endHotLink() is not valid; an endHotLink() or endHotLInks() request for this item and format is pending.",
/* UIL0134E */ "endHotLinks() is not valid; an endHotLinks() request for this item is pending.",
/* UIL0135E */ "endHotLinks() is not valid; an endHotLinks() request for all hot links is pending.",
/* UIL0136E */ "dispatchHandlerEvent() was called recursively, possibly violating DDE synchronization rules.",
/* UIL0137E */ "The rectangle size is too small to accommodate the requested tick spacing.",
/* UIL0138E */ "The number function could not be executed because the object contains text values.",
/* UIL0139E */ "The text function could not be executed because the object contains numbers.",
/* UIL0140E */ "The list of text items cannot be added to the spin control.",
/* UIL0141E */ "The request to update the menu item failed.",
/* UIL0142E */ "The menu item ID is invalid.",
/* UIL0143E */ "The window does not have a system menu.",
/* UIL0144E */ "The frame window does not have a menu bar.",
/* UIL0145E */ "The bitmap menu item requires a bitmap handle.",
/* UIL0146E */ "The value specified is not in the current spin button range.",
/* UIL0147E */ "No menu item is selected.",
/* UIL0148E */ "Cannot add a submenu because one already exists for the menu item.",
/* UIL0149E */ "Cannot create an ITitleBar object unless the owning IFrameWindow has a titleBar style.",
/* UIL0150E */ "An error occurred while attempting to set the ISlider control data.",
/* UIL0151E */ "An error occurred while attempting to obtain the ISlider control data.",
/* UIL0152E */ "The specified menu item has no submenu associated with it.",
/* UIL0153E */ "sizeTo() or moveTo() is invalid for IHelpWindow when the cover page is not visible.",
/* UIL0154E */ "There is no item at index %1.",
/* UIL0155E */ "The rendering format is unknown.",
/* UIL0156E */ "The rendering mechanism is unknown.",
/* UIL0157E */ "Use rfProcess for the same process.",
/* UIL0158E */ "Rendering at the source failed.",
/* UIL0159E */ "The DRAGTRANSFER structure is invalid.",
/* UIL0160E */ "No source object was supplied.",
/* UIL0161E */ "The index supplied is out of range.",
/* UIL0162E */ "The provideTargetItemFor function failed.",
/* UIL0163E */ "The DRAGITEM structure is invalid.",
/* UIL0164E */ "The clipboard is locked by another application.",
/* UIL0165E */ "The clipboard data returned is truncated due to insufficient buffer size.",
/* UIL0166E */ "A valid shell widget does not exist for this frame window control.",
/* UIL0167E */ "A slider's primary scale requires a minimum of two ticks.",
/* UIL0168E */ "The tick number supplied is invalid.",
/* UIL0169E */ "The pixel supplied is invalid.",
/* UIL0170E */ "The application initialization failed.",
/* UIL0171E */ "The modifier state for the left and right key do not match.",
/* UIL0172E */ "The specified timer ID is not valid.",
/* UIL0173E */ "start() is not valid because the specified timer is already started.",
/* UIL0174E */ "Unable to allocate a new timer ID.",
/* UIL0175E */ "The last page in the IPageRange is too big",
/* UIL0176E */ "The pointer to IMGraphic is 0 (NIL)",
/* UIL0177E */ "The pointer to IMPageFolio is 0 (NIL)",
/* UIL0178E */ "The pointer to IPageIterator is 0 (NIL)",
/* UIL0179E */ "The pointer to IPaginator is 0 (NIL)",
/* UIL0180E */ "Expected a window class of %1.",
/* UIL0181E */ "The visible count cannot be greater than the scroll bar range.",
/* UIL0182E */ "Could not find the widget name to convert to a widget.",
/* UIL0183E */ "No match was found for the specified search string.",
/* UIL0184E */ "The list box is empty.",
/* UIL0185E */ "A GUI exception condition was detected.",
/* UIL0186E */ "A system exception condition was detected.",
/* UIL0187E */ "The combination box text cannot be set because no item matches the text.",
/* UIL0188E */ "On Motif, the window cannot be added to the toolbar unless its parent is the toolbar.",
/* UIL0189E */ "On Motif, the toolbar cannot be changed from its current location to the new location.",
/* UIL0190E */ "An INumericSpinButton cannot be constructed from a text PM spin button.",
/* UIL0191E */ "An ITextSpinButton cannot be constructed from a numeric PM spin button.",
/* UIL0192E */ "The specifed text does not match any of the values in the spin button text array.",
/* UIL0193E */ "The list box contains no selected items.",
/* UIL0194E */ "The list box type is single select.",
/* UIL0195E */ "The pointer to IPrintPreviewer is 0 (NIL)",
/* UIL0196E */ "The pointer to IStandardPrinter is 0 (NIL)",
/* UIL0197E */ "The pointer to ISimpleGrid is 0 (NIL)",
/* UIL0198E */ "The pointer to IPrinterState is 0 (NIL)",
/* UIL0199E */ "The toolbar container must be created with the explicitAddsNeeded style.",
/* UIL0200E */ "The specified button has already been added to the %1.",
/* UIL0201? */ "Abort",
/* UIL0202? */ "Retry",
/* UIL0203? */ "Ignore",
/* UIL0204? */ "Enter",
/* UIL0205? */ "Help",
/* UIL0206? */ "Apply",
/* UIL0207? */ "Reset",
/* UIL0208? */ "OK",
/* UIL0209? */ "Cancel",
/* UIL0210E */ "The picture string has an unrecognized picture character.",
/* UIL0211E */ "The picture string has unmatched quotes.",
/* UIL0212E */ "The picture string has an invalid range.",
/* UIL0213E */ "The device context handle is NULL",
/* UIL0214E */ "The platform specific printer information structure pointer is (NIL)",
/* UIL0215E */ "The iterator points to a 0 (NIL) page",
/* UIL0216E */ "There is trouble allocating a primitive region",
/* UIL0217E */ "The method requires a valid view box",
/* UIL0218E */ "The view box must have an owner window",
/* UIL0219E */ "The view box must have an parent window",
/* UIL0220E */ "The previewer must have an owner window",
/* UIL0221E */ "The previewer window must exist",
/* UIL0222E */ "The previewer view port window must exist",
/* UIL0223E */ "The pointer to IPreviewerAttachment is 0 (NIL)",
/* UIL0224E */ "The range of valid tool ids is filled up",
/* UIL0225E */ "The necessary window pointer is 0 (NIL)",
/* UIL0226E */ "The necessary handler pointer is 0 (NIL)",
/* UIL0227E */ "There is no DJP \"Get\" support in the printer driver",
/* UIL0228E */ "There is no DJP \"set\" support in the printer driver",
/* UIL0229E */ "The value for the DJP item is out of range",
/* UIL0230E */ "The driver cannot enumerate values for DJP item",
/* UIL0231E */ "There is no printer attached to machine",
/* UIL0232E */ "There is no print queue matching the specified name",
/* UIL0233E */ "The DevEscape DEVESC_STARTDOC code is not supported",
/* UIL0234E */ "The DevEscape DEVESC_STARTDOC_WPROP code is not supported",
/* UIL0235E */ "The DevEscape DEVESC_ENDDOC code is not supported",
/* UIL0236E */ "The DevEscape DEVESC_NEWFRAME code is not supported",
/* UIL0237E */ "The DevEscape DEVESC_NEWFRAME_WPROP code is not supported",
/* UIL0238E */ "The DevEscape DEVESC_ABORTDOC code is not supported",
/* UIL0239E */ "The TPrintPreviewer11RenderPrintRun() method must be called",
/* UIL0240E */ "The print butler points to a 0 (NIL)",
/* UIL0241E */ "The progress window points to a 0 (NIL)",
/* UIL0242E */ "There is a synchronization problem in the printer",
/* UIL0243E */ "The tiling frequency is invalid (zero)",
/* UIL0244E */ "The print dialog must have an owner window",
/* UIL0245E */ "The print dialog show Modally failed",
/* UIL0246E */ "There is no default printer set up",
/* UIL0247E */ "Invalid version (used in iprtrcfg.cpp)",
/* UIL0248E */ "Memory reallocation problem",
/* UIL0249I */ "Filter",
/* UIL0250E */ "Could not map the point to another IWindowHandle.",
/* UIL0251I */ "Yes",
/* UIL0252I */ "No",
/* UIL0253I */ "Description",
/* UIL0254I */ "Point size",
/* UIL0255E */ "The data is not available in the specified format.",
/* UIL0256E */ "Registration of the specified format failed.",
/* UIL0257E */ "The requested format was not found.",
/* UIL0258E */ "An unknown error occurred.",
/* UIL0259E */ "An error occurred while attempting to open a file.",
/* UIL0260E */ "An error occurred while attempting to create a file.",
/* UIL0261E */ "The file format does not support this bits-per-pixel.",
/* UIL0262E */ "Could not create device context resource.",
/* UIL0263E */ "Could not create presentation space resource.",
/* UIL0264E */ "Could not create metafile resource.",
/* UIL0265E */ "Could not create bitmap resource.",
/* UIL0266E */ "Coordinates need to be clipped.",
/* UIL0267E */ "This format is not supported.",
/* UIL0268E */ "Invalid option.",
/* UIL0269E */ "This file type is not supported.",
/* UIL0270E */ "An invalid magic number or signature block was specified.",
/* UIL0271E */ "An invalid bitmap size was specified.",
/* UIL0272E */ "An error occurred while attempting to read a file.",
/* UIL0273E */ "An error occurred while attempting to write to a file.",
/* UIL0274E */ "Number of bitmap planes is not 1.",
/* UIL0275E */ "Bit count is not 1, 4, 8, or 24.",
/* UIL0276E */ "cbFix has an invalid value.",
/* UIL0277E */ "The compression type is not RLE4 or RLE8.",
/* UIL0278E */ "There were fewer bitmaps in the file than the specified index.",
/* UIL0279E */ "Incorrect bits-per-pixel were specified.",
/* UIL0280E */ "The terminator was found before the requested image descriptor.",
/* UIL0281E */ "The code size is not in the range 2 to 9.",
/* UIL0282E */ "The encoded data is corrupt.",
/* UIL0283E */ "The file length is not a multiple of its width.",
/* UIL0284E */ "An error occurred while attempting to open the complementary palette file.",
/* UIL0285E */ "An error occurred while attempting to create the complementary palette file.",
/* UIL0286E */ "There is no FORM signature.",
/* UIL0287E */ "There is no ILBM signature.",
/* UIL0288E */ "There are multiple BMHD bitmap headers.",
/* UIL0289E */ "There is no BMHD bitmap header.",
/* UIL0290E */ "An incorrect size of BMHD bitmap header was used.",
/* UIL0291E */ "Unsupported or invalid bits-per-pixel were used.",
/* UIL0292E */ "The CMAP color map is the wrong size.",
/* UIL0293E */ "The compression type is neither uncompressed nor RLE.",
/* UIL0294E */ "The CAMG chunk is the wrong size.",
/* UIL0295E */ "An unsupported version of SHAM (not 0) was used.",
/* UIL0296E */ "The version number needs to be 4 or 5.",
/* UIL0297E */ "The encoding mode is not 1.",
/* UIL0298E */ "An unsupported bits-per-pixel/plane or plane combination was specified.",
/* UIL0299E */ "The file trailer is corrupted.",
/* UIL0300E */ "An incorrect maximum pixel intensity was used.",
/* UIL0301E */ "A record in the PSEG file does not start with 0x5a.  Try the fixrec option.",
/* UIL0302E */ "An invalid or unknown record exists in the PSEG file.",
/* UIL0303E */ "A size record was not found before the raster data or image cell position records were.",
/* UIL0304E */ "The width must be a multiple of 8.",
/* UIL0305E */ "The default cell size must be a multiple of 8.",
/* UIL0306E */ "The cell size must be a multiple of 8.",
/* UIL0307E */ "The cell position must be a multiple of 8.",
/* UIL0308E */ "A record was found in an unexpected place.",
/* UIL0309E */ "A sprite has a first bit that is not a multiple of 8.",
/* UIL0310E */ "A sprite was defined in an unknown mode.",
/* UIL0311E */ "There were fewer sprites in the file than the index specified.",
/* UIL0312E */ "The 8-bit file does not have 0, 16, or 64 palette entries in it.",
/* UIL0313E */ "The bits-per-pixel are not 8, 16, 24 or 32.",
/* UIL0314E */ "An unsupported compression type was specified for bits-per-pixel.",
/* UIL0315E */ "The color map entry size is not 24 bits-per-pixel.",
/* UIL0316E */ "The version number must be 42.",
/* UIL0317E */ "Too many tags are in the file.",
/* UIL0318E */ "An incorrect tag type was used.",
/* UIL0319E */ "A header is corrupted.",
/* UIL0320E */ "The imageWidth, ImageLength, or StripOffsets tag is missing.",
/* UIL0321E */ "The SamplesPerPixel tag must be 1 for a bitmap or greyscale file.",
/* UIL0322E */ "The BitsPerSample tag must be 1, 4, or 8 for a bitmap or greyscale file.",
/* UIL0323E */ "The SamplesPerPixel tag must be 3 or more for a RGB file.",
/* UIL0324E */ "The BitsPerSample tag must be 8 for a RGB file.",
/* UIL0325E */ "The SamplesPerPixel tag must be 1 for a file that includes a palette.",
/* UIL0326E */ "The BitsPerSample tag must be 1, 4, or 8 for a file that includes a palette.",
/* UIL0327E */ "The SamplesPerPixel tag must be 4 for a CMYK file.",
/* UIL0328E */ "The BitsPerSample tag must be 8 for a CMYK file.",
/* UIL0329E */ "The Compression tag is CCITT 1D Modified Huffman, which is not supported.",
/* UIL0330E */ "The Compression tag is CCITT T.4 G3 Facsimile, which is not supported.",
/* UIL0331E */ "The Compression tag is CCITT T.6 G4 Facsimile, which is not supported.",
/* UIL0332E */ "The Compression tag is not uncompressed, PackBits, or LZW, which is not supported.",
/* UIL0333E */ "The ColorMap tag is missing.",
/* UIL0334E */ "Encoded data is corrupted.",
/* UIL0335E */ "The Predictor tag is invalid.",
/* UIL0336E */ "The PhotometricInterpretation tag is a transparency mask, which is not supported.",
/* UIL0337E */ "The PhotometricInterpretation tag is Y-Cb-Cr color space, which is not supported.",
/* UIL0338E */ "The PhotometricInterpretation tag is unsupported or incorrect.",
/* UIL0339E */ "The FillOrder tag must be 1.",
/* UIL0340E */ "The PlanarConfiguration tag must be 1 for non-RGB files.",
/* UIL0341E */ "The PlanarConfiguration tag must be 1 or 2 for RGB files.",
/* UIL0342E */ "The InkSet tag indicates non-CMYK color separations.",
/* UIL0343E */ "The Orientation tag must be 1 or 4.",
/* UIL0344E */ "There are fewer bitmaps in the file than the index specified.",
/* UIL0345E */ "The width is not a multiple of 4 pixels.",
/* UIL0346E */ "An identifier was expected.",
/* UIL0347E */ "An unexpected end of file was encountered.",
/* UIL0348E */ "A char or short was expected.",
/* UIL0349E */ "[ was expected.",
/* UIL0350E */ "] was expected.",
/* UIL0351E */ "= was expected.",
/* UIL0352E */ "{ was expected.",
/* UIL0353E */ "} was expected.",
/* UIL0354E */ ", was expected.",
/* UIL0355E */ "A number was expected.",
/* UIL0356E */ "; was expected.",
/* UIL0357? */ NULL,
/* UIL0358? */ NULL,
/* UIL0359? */ NULL,
/* UIL0360? */ NULL,
/* UIL0361? */ NULL,
/* UIL0362? */ NULL,
/* UIL0363? */ NULL,
/* UIL0364? */ NULL,
/* UIL0365I */ "Font Style",
/* UIL0366I */ "Bold",
/* UIL0367I */ "Bold Italic",
/* UIL0368I */ "Italic",
/* UIL0369I */ "Regular",
/* UIL0370E */ "A child already exists.",
/* UIL0371E */ "The collection is empty.",
/* UIL0372E */ "The cursor is not contained in this collection.",
/* UIL0373E */ "The cursor is not for the given collection.",
/* UIL0374E */ "The cursor is not for this collection.",
/* UIL0375E */ "An identical collection was specified.",
/* UIL0376E */ "An invalid cursor was specified.",
/* UIL0377E */ "An invalid position was specified.",
/* UIL0378E */ "An invalid replacement was specified.",
/* UIL0379E */ "A key already exists.",
/* UIL0380E */ "A key is not contained.",
/* UIL0381E */ "This collection is unbounded.",
/* UIL0382E */ "The system is out of memory for collection elements.",
/* UIL0383E */ "A root already exists.",
/* UIL0384E */ "A cyclic child attachment occurred.",
/* UIL0385E */ "An internal mutex error occurred.",
/* UIL0386E */ "An internal lock error occurred.",
/* UIL0387E */ "A time-out occurred.",
/* UIL0388E */ "An internal unlock error occurred.",
/* UIL0389E */ "Invalid stream data.",
/* UIL0390E */ "Invalid stream helper object.",
/* UIL0391? */ NULL,
/* UIL0392? */ NULL,
/* UIL0393? */ NULL,
/* UIL0394? */ NULL,
/* UIL0395? */ NULL,
/* UIL0396? */ NULL,
/* UIL0397? */ NULL,
/* UIL0398? */ NULL,
/* UIL0399? */ NULL,
/* UIL0400E */ "An abstract class cannot be constructed.",
/* UIL0401E */ "An object could not be found in the context.",
/* UIL0402E */ "The stream is not valid.",
/* UIL0403E */ "The streamed object cannot be derived from the base object type.",
/* UIL0404E */ "The type information for the class is missing.",
/* UIL0405E */ "The type information for the class has previously been added.",
/* UIL0406E */ "The file cannot be opened.",
/* UIL0407E */ "The seek position in the stream is not valid.",
/* UIL0408E */ "The file is not large enough to hold the stream.",
/* UIL0409E */ "An error occurred writing the stream to the file.",
/* UIL0410E */ "There is insufficient data in the file stream.",
/* UIL0411E */ "The object's version number is not supported by this application.",
/* UIL0412? */ NULL,
/* UIL0413? */ NULL,
/* UIL0414? */ NULL,
/* UIL0415? */ NULL,
/* UIL0416? */ NULL,
/* UIL0417? */ NULL,
/* UIL0418? */ NULL,
/* UIL0419? */ NULL,
/* UIL0420? */ NULL,
/* UIL0421? */ NULL,
/* UIL0422? */ NULL,
/* UIL0423? */ NULL,
/* UIL0424? */ NULL,
/* UIL0425? */ NULL,
/* UIL0426? */ NULL,
/* UIL0427? */ NULL,
/* UIL0428? */ NULL,
/* UIL0429? */ NULL,
/* UIL0430? */ NULL,
/* UIL0431? */ NULL,
/* UIL0432? */ NULL,
/* UIL0433? */ NULL,
/* UIL0434? */ NULL,
/* UIL0435? */ NULL,
/* UIL0436? */ NULL,
/* UIL0437? */ NULL,
/* UIL0438? */ NULL,
/* UIL0439? */ NULL,
/* UIL0440? */ NULL,
/* UIL0441? */ NULL,
/* UIL0442? */ NULL,
/* UIL0443? */ NULL,
/* UIL0444? */ NULL,
/* UIL0445? */ NULL,
/* UIL0446? */ NULL,
/* UIL0447? */ NULL,
/* UIL0448? */ NULL,
/* UIL0449? */ NULL,
/* UIL0450I */ "(Untitled)",
/* UIL0451E */ "Could not insert this object into the container.",
/* UIL0452E */ "An error occurred while attempting to open file %1.",
/* UIL0453I */ "This file could not be saved. Do you want to discard changes?",
/* UIL0454I */ "Do you want to save changes to file %1?",
/* UIL0455E */ "An occur occurred while attempting to save this file.",
/* UIL0456I */ "%1 in %2",
/* UIL0457E */ "An error occurred while attempting to activate the server.",
/* UIL0458I */ "In place %1",
/* UIL0459? */ NULL,
/* UIL0460? */ NULL,
/* UIL0461? */ NULL,
/* UIL0462? */ NULL,
/* UIL0463? */ NULL,
/* UIL0464? */ NULL,
/* UIL0465? */ NULL,
/* UIL0466? */ NULL,
/* UIL0467? */ NULL,
/* UIL0468? */ NULL,
/* UIL0469? */ NULL,
/* UIL0470? */ NULL,
/* UIL0471? */ NULL,
/* UIL0472? */ NULL,
/* UIL0473? */ NULL,
/* UIL0474? */ NULL,
/* UIL0475? */ NULL,
/* UIL0476? */ NULL,
/* UIL0477? */ NULL,
/* UIL0478? */ NULL,
/* UIL0479? */ NULL,
/* UIL0480? */ NULL,
/* UIL0481? */ NULL,
/* UIL0482? */ NULL,
/* UIL0483? */ NULL,
/* UIL0484? */ NULL,
/* UIL0485? */ NULL,
/* UIL0486? */ NULL,
/* UIL0487? */ NULL,
/* UIL0488? */ NULL,
/* UIL0489? */ NULL,
/* UIL0490? */ NULL,
/* UIL0491? */ NULL,
/* UIL0492? */ NULL,
/* UIL0493? */ NULL,
/* UIL0494? */ NULL,
/* UIL0495? */ NULL,
/* UIL0496? */ NULL,
/* UIL0497? */ NULL,
/* UIL0498? */ NULL,
/* UIL0499? */ NULL,
/* UIL0500? */ "An invalid condition was accessed.",
/* UIL0501? */ "Wait abandoned.",
/* UIL0502? */ NULL,
/* UIL0503? */ NULL,
/* UIL0504? */ NULL,
/* UIL0505? */ NULL,
/* UIL0506? */ NULL,
/* UIL0507? */ NULL,
/* UIL0508? */ NULL,
/* UIL0509? */ NULL,
/* UIL0510? */ NULL,
/* UIL0511? */ NULL,
/* UIL0512? */ NULL,
/* UIL0513? */ NULL,
/* UIL0514? */ NULL,
/* UIL0515? */ NULL,
/* UIL0516? */ NULL,
/* UIL0517? */ NULL,
/* UIL0518? */ NULL,
/* UIL0519? */ NULL,
/* UIL0520? */ NULL,
/* UIL0521? */ NULL,
/* UIL0522? */ NULL,
/* UIL0523? */ NULL,
/* UIL0524? */ NULL,
/* UIL0525? */ NULL,
/* UIL0526? */ NULL,
/* UIL0527? */ NULL,
/* UIL0528? */ NULL,
/* UIL0529? */ NULL,
/* UIL0530? */ NULL,
/* UIL0531? */ NULL,
/* UIL0532? */ NULL,
/* UIL0533? */ NULL,
/* UIL0534? */ NULL,
/* UIL0535? */ NULL,
/* UIL0536? */ NULL,
/* UIL0537? */ NULL,
/* UIL0538? */ NULL,
/* UIL0539? */ NULL,
/* UIL0540? */ NULL,
/* UIL0541? */ NULL,
/* UIL0542? */ NULL,
/* UIL0543? */ NULL,
/* UIL0544? */ NULL,
/* UIL0545? */ NULL,
/* UIL0546? */ NULL,
/* UIL0547? */ NULL,
/* UIL0548? */ NULL,
/* UIL0549? */ NULL,
/* UIL0550E */ "Process \"%1\" already started, cannot %2",
/* UIL0551E */ "set the path",
/* UIL0552E */ "set the environment",
/* UIL0553E */ "Invalid priority returned for process1 \"%1\"",
/* UIL0554E */ "start the process again",
/* UIL0555E */ "The environment buffer overflowed",
/* UIL0556E */ "Could not get priority for process1 \"%1\". Error=%2",
/* UIL0557E */ "COuld not set priority for process1 \"%1\". Error=%2",
/* UIL0558E */ "Unknown priority for process1 \"%1\"",
/* UIL0559E */ "Could not start process1 \"%1\". Error=%2",
/* UIL0560E */ "Cannot kill process \"%1\". Error=%2",
/* UIL0561E */ "The %1 operation is not supported on this platform",
/* UIL0562E */ "Error %1 occured while waiting on the process \"%2\" to die",
/* UIL0563E */ "The program \"%1\" could not be located",
/* UIL0564E */ "The passed path \"%1\" was not a valid host platform path",
/* UIL0565E */ "The named condition was not found",
/* UIL0566E */ "Timed out waiting on the condition",
/* UIL0567E */ "The previous condition owner died owning the condition",
/* UIL0568E */ "The condition is already owned",
/* UIL0569E */ "To many requests made against this condition",
/* UIL0570E */ "Unknown host error (%1) occured",
/* UIL0571E */ "An invalid parameter or name was provided",
/* UIL0572? */ "Cannot create more than one IMenu object for a menu handle",
/* UIL0573? */ NULL,
/* UIL0574? */ NULL,
/* UIL0575? */ NULL,
/* UIL0576? */ NULL,
/* UIL0577? */ NULL,
/* UIL0578? */ NULL,
/* UIL0579? */ NULL,
/* UIL0580? */ NULL,
/* UIL0581? */ NULL,
/* UIL0582? */ NULL,
/* UIL0583? */ NULL,
/* UIL0584? */ NULL,
/* UIL0585? */ NULL,
/* UIL0586? */ NULL,
/* UIL0587? */ NULL,
/* UIL0588? */ NULL,
/* UIL0589? */ NULL,
/* UIL0590? */ NULL,
/* UIL0591? */ NULL,
/* UIL0592? */ NULL,
/* UIL0593? */ NULL,
/* UIL0594? */ NULL,
/* UIL0595? */ NULL,
/* UIL0596? */ NULL,
/* UIL0597? */ NULL,
/* UIL0598? */ NULL,
/* UIL0599? */ NULL,
/* UIL0600? */ NULL,
/* UIL0601? */ NULL,
/* UIL0602? */ NULL,
/* UIL0603? */ NULL,
/* UIL0604? */ NULL,
/* UIL0605? */ NULL,
/* UIL0606? */ NULL,
/* UIL0607? */ NULL,
/* UIL0608? */ NULL,
/* UIL0609? */ NULL,
/* UIL0610? */ NULL,
/* UIL0611? */ NULL,
/* UIL0612? */ NULL,
/* UIL0613? */ NULL,
/* UIL0614? */ NULL,
/* UIL0615? */ NULL,
/* UIL0616? */ NULL,
/* UIL0617? */ NULL,
/* UIL0618? */ NULL,
/* UIL0619? */ NULL,
/* UIL0620? */ NULL,
/* UIL0621? */ NULL,
/* UIL0622? */ NULL,
/* UIL0623? */ NULL,
/* UIL0624? */ NULL,
/* UIL0625? */ NULL,
/* UIL0626? */ NULL,
/* UIL0627? */ NULL,
/* UIL0628? */ NULL,
/* UIL0629? */ NULL,
/* UIL0630? */ NULL,
/* UIL0631? */ NULL,
/* UIL0632? */ NULL,
/* UIL0633? */ NULL,
/* UIL0634? */ NULL,
/* UIL0635? */ NULL,
/* UIL0636? */ NULL,
/* UIL0637? */ NULL,
/* UIL0638? */ NULL,
/* UIL0639? */ NULL,
/* UIL0640? */ NULL,
/* UIL0641? */ NULL,
/* UIL0642? */ NULL,
/* UIL0643? */ NULL,
/* UIL0644? */ NULL,
/* UIL0645? */ NULL,
/* UIL0646? */ NULL,
/* UIL0647? */ NULL,
/* UIL0648? */ NULL,
/* UIL0649? */ NULL,
/* UIL0650? */ NULL,
/* UIL0651E */ "Specified IAction key was never associated with a functor",
/* UIL0652E */ "Specified IAction key has already been associated with a functor",
/* UIL0653E */ "Internal 4G limit exceeded, for unique IDs of IActions, IProperties and IAPLists",
/* UIL0654E */ "Specified id or key isn't for the kind of object (IAction, IProperty or IAPList) the caller expected",
/* UIL0655E */ "There is already an IAction, IProperty or IAPList with the same key",
/* UIL0656E */ "There is already an IAction, IProperty or IAPList with the same internal id in our working set",
/* UIL0657E */ "The IAction, IProperty or IAPList was asked for its IViewContext, and it has none",
/* UIL0658E */ "The observer called is not associated with an IActionMenuBar, but probably an IActionPopUpMenu",
/* UIL0659E */ "The observer called is not associated with an IActionPopUpMenu, but probably an IActionMenuBar",
/* UIL0660E */ "The specified IAction, IProperty or IAPList is not registered",
/* UIL0661E */ "The IAction, IProperty or IAPList does not have the requested resource. It either contains the text string directly or just doesn't have this data item.",
/* UIL0662E */ "Internally, we found an invalid delimiter (e.g., \"PRIORVALUES\" is a valid one) in a stream read from our persistant store.",
/* UIL0663E */ "The IAction, IProperty or IAPList does not have the requested appearance data item. Use the corresponding \"hasXXX\" method to avoid this exception.",
/* UIL0664E */ "You attempted to register a property of a type (i.e. class) that was not recognized by the default IVPAFactory or any application-specific factory you installed.",
/* UIL0665E */ "You attempted to change the appearance data of a standard IAction, IProperty or IAPList, which is not allowed. Instead, register a new one with appearance copied from the standard one and change the copy.",
/* UIL0666E */ "You passed a resource id value of 0 for one of the required resources.",
/* UIL0667E */ "The observer called is not associated with an IActionToolBar.",
/* UIL0668E */ "An internal error occured in the order in which certain objects are destroyed (e.g., statics vs. temp/stack) during app termination.",
/* UIL0669E */ "The environment variable \"CPPLOCAL\" is not defined. VPA uses it to name the persistant store. The default name was not acceptable either.",
/* UIL0670E */ "VPA was unable to register an \"atexit\" handler, which is needed to write IActions, IProperties and IAPLists to persistant store on termination."
};
