#ifndef _IPERFSET_INL_
#define _IPERFSET_INL_
/*----------------------------------------------------------------------------*/
/* FILE NAME: iperfset.inl                                                    */
/*                                                                            */
/* DESCRIPTION:                                                               */
/*   This file contains the definition of the inline functions for the        */
/*   classes declared in iperfset.hpp.                                        */
/*                                                                            */
/* COPYRIGHT:                                                                 */
/*   IBM Open Class Library                                                   */
/*   Licensed Materials - Property of IBM                                     */
/*                                                                            */
/*   5645-001                                                                 */
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
/*                                                                            */
/*----------------------------------------------------------------------------*/

/*------------------------------------------------------------------------------
| IPerformanceSettings::isSettingEnabled                                       |
------------------------------------------------------------------------------*/
inline bool IPerformanceSettings::isSettingEnabled ( Setting setting )
{
   return (fgSettings & setting) ? true : false;
}

#endif // _IPERFSET_INL_
