// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 34 1.4.1.2 source/core/collect/iakb.inl, collection, ioc.v400, 000302  
#ifndef _IAKB_INL_
#define _IAKB_INL_

// ---
// IAKeyBag
// ---

#include <ilanglvl.hpp>

#if ! defined (__INO_AVALON__)
template <class Element, class Key>
inline
IAKeyBag <Element, Key>::
IAKeyBag (INotifier& notifier)
{ this->SetImpl ((Implementation*)&notifier);
}

#endif
template <class Element, class Key>
inline
IAKeyBag <Element, Key>::
~IAKeyBag ()
{
}

// protected members

template <class Element, class Key>
inline
IAKeyBag <Element, Key>::
IAKeyBag ()
{
}

template <class Element, class Key>
inline
IAKeyBag <Element, Key>::
IAKeyBag (IAKeyBag <Element, Key> const& collection)
: Inherited (collection)
{
}

// private members

template <class Element, class Key>
inline TYPENAME IAKeyBag <Element, Key>::Implementation&
IAKeyBag <Element, Key>::
ImplOf (IAKeyBag <Element, Key> const& collection)
{ return *(Implementation*)collection.ivImpl;
}

#endif // _IAKB_INL_
