// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// "Restricted Materials of IBM"
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
#include <ibcllct.h>

#ifdef IC_PAGETUNE
  #define _IBCLLCT_CPP_
  #include <ipagetun.h>
#endif


#if defined (__OS2__) || defined (__OS400__) || defined (__WINDOWS__)
#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#endif

// -------
// ICursor
// -------

// public members

ICursor::
~ICursor ()
{ delete ivImpl;
}

// ----------------
// IACollectionBase
// ----------------

// protected members

ICursor*
IACollectionBase::
InterfaceFor (ICursorImpl* cursor)
{ return (ICursor*) CheckPointer (new ICursor (cursor));
}

#if defined (__OS2__) || defined (__OS400__) || defined (__WINDOWS__)
#pragma info (restore)
#endif
