// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 63 1.3.1.2 source/core/collect/iimapks.inl, collection, ioc.v400, 000302 
#ifndef _IIMAPKS_INL_
#define _IIMAPKS_INL_

// ----------------
// IMapOnKeySetImpl
// ----------------

// public members

template <class Base>
inline void
IMapOnKeySetImpl <Base>::
operator= (IMapOnKeySetImpl <Base> const& collection)
{ BaseOf (*this).Base::operator= (BaseOf (collection));
}

// ----------------
// IAMapOnKeySetOps
// ----------------

// public members

template <class Base>
inline
IAMapOnKeySetOps <Base>::
~IAMapOnKeySetOps ()
{
}

#endif // _IIMAPKS_INL_
