// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 27 1.3.1.2 source/core/collect/iisetks.inl, collection, ioc.v400, 000302 
#ifndef _IISETKS_INL_
#define _IISETKS_INL_

// ----------------
// ISetOnKeySetImpl
// ----------------

// public members

template <class Base>
inline void
ISetOnKeySetImpl <Base>::
operator= (ISetOnKeySetImpl <Base> const& collection)
{ BaseOf (*this).Base::operator= (BaseOf (collection));
}

// ----------------
// IASetOnKeySetOps
// ----------------

// public members

template <class Base>
inline
IASetOnKeySetOps <Base>::
~IASetOnKeySetOps ()
{
}

#endif // _IISETKS_INL_
