#ifndef _IKEYSET2_C_
#define _IKEYSET2_C_
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <ikeyset2.h>

template <class Element, class Key, class Imp>
  ITImpKeySet< Element, Key, Imp>::ITImpKeySet(unsigned long numberOfElements )
     : fNumberOfElements(numberOfElements)
{}

template <class Element, class Key, class Imp>
  ITImpKeySet< Element, Key, Imp>::~ITImpKeySet( )
{}

template <class Element, class Key>
  IKeySet< Element, Key>::IKeySet(unsigned long numberOfElements )
      : ITImpKeySet<Element, Key, Element>(numberOfElements)
{}

template <class Element, class Key>
  IKeySet< Element, Key>::~IKeySet( )
{}

#ifdef IC_USE_STL_VPTR
  template <class Element, class Key>
    IVPtrKeySet< Element, Key>::IVPtrKeySet(unsigned long numberOfElements )
        : ITImpKeySet<Element, Key, void*>(numberOfElements)
  {}

  template <class Element, class Key>
    IVPtrKeySet< Element, Key>::~IVPtrKeySet( )
  {}
#endif

#endif // _IKEYSET2_C_
