#ifndef _ISS2_C_
#define _ISS2_C_
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <iss2.h>


template <class Element, class Imp>
  ITImpSortedSet< Element, Imp>::ITImpSortedSet( unsigned long numberOfElements )
     : ITImpSet<Element, Imp>( numberOfElements)
     {}

template <class Element, class Imp>
  ITImpSortedSet< Element, Imp>::~ITImpSortedSet( )
{}

template <class Element>
  ISortedSet< Element>::ISortedSet( unsigned long numberOfElements)
     : ITImpSortedSet<Element, Element> ( numberOfElements)
{}


template <class Element>
  ISortedSet< Element>::~ISortedSet( )
{}


#ifdef IC_USE_STL_VPTR
  template <class Element>
    IVPtrSortedSet< Element>::IVPtrSortedSet( unsigned long numberOfElements)
       : ITImpSortedSet<Element, void*> ( numberOfElements)
  {}


  template <class Element>
    IVPtrSortedSet< Element>::~IVPtrSortedSet( )
  {}
#endif

#endif // _ISS2_C_
