/*
*****************************************************************************************
*                                                                                       *
* COPYRIGHT:                                                                            *
*   IBM Open Class Library                                                              *
*   (C) Copyright International Business Machines Corporation,  1997                    *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.                  *
*   US Government Users Restricted Rights - Use, duplication, or disclosure             *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                              *
*                                                                                       *
*****************************************************************************************
*/
// Revision: 88 1.6.1.4 source/core/text/unicode/ucnames.cpp, text, ioc.v400, 000302 
//********************************************************************************************
//      NAME
//              ucnames.cpp
//
//      CREATED
//              Monday, February 1, 1996
//
//      CREATED BY
//              Text & International Team
//
//      29 Feb 1996             hsys            conform OpenClass coding guideline and update unicode info
//
//      DESCRIPTION
//              This file defines the unicode classes
//
//      COPYRIGHT
//
//
//
//********************************************************************************************

#ifndef IC_IUCMPBTY
#include <iucmpbty.hpp>
#endif

#ifndef IC_IUEASIA
#include <iueasia.hpp>
#endif

#ifndef IC_IUEEURO
#include <iueeuro.hpp>
#endif

#ifndef IC_IUGNRL
#include <iugnrl.hpp>
#endif

#ifndef IC_IUMEAST
#include <iumeast.hpp>
#endif

#ifndef IC_IUSASIA
#include <iusasia.hpp>
#endif

#ifndef IC_IUSYMS
#include <iusyms.hpp>
#endif

#ifdef IC_PAGETUNE
        #define _UCNAMES_CPP
        #include <ipagetun.h>
#endif




