// Revision: 64 1.4.1.2 source/dde/iddecc.cpp, dde, ioc.v400, 000302 
/*******************************************************************************
* FILE NAME: iddecc.cpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file is intended to provide a temporary workaround of a compiler      *
*   RTTI bug.                                                                  *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

// for sources\ocsrc\idde


#include <iddecset.hpp>
#include <iddetsrv.hpp>
#include <iddeccnv.hpp>
#include <iddeevt.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
   #define _IDDECC_CPP_
    #include <ipagetun.h>
#endif



IDDETopicServer::IDDETopicServer(const IDDETopicServer&) {}
// in iddetsrv.hpp

IDDEClientConversation::IDDEClientConversation(const IDDEClientConversation&) {}
// found in iddeccnv.hpp

IDDEBeginEvent::IDDEBeginEvent(const IDDEBeginEvent& event) : IEvent(event) {}
// in iddeevt.hpp



//IDDEServerHotLinkItemSet::IDDEServerHotLinkItemSet(const IDDEServerHotLinkItemSet&) {}
//IDDEServerHotLinkSet::IDDEServerHotLinkSet(const IDDEServerHotLinkSet&) {}
//IDDEServerConversationSet::IDDEServerConversationSet(const IDDEServerConversationSet&) {}
// now defined in iddetsrv.cpp

//IDDEClosedConversationSet::IDDEClosedConversationSet(const IDDEClosedConversationSet&) {}
//IDDETransactionQueue::IDDETransactionQueue(const IDDETransactionQueue&) {}
// now defined in iddeccnv.cpp

//IThreadMemberFn<IDDETopicServer>::IThreadMemberFn(const IThreadMemberFn<IDDETopicServer>&) {}
//IThreadMemberFn<IDDEClientConversation>::IThreadMemberFn(const IThreadMemberFn<IDDEClientConversation>&) {}
// now defined in IThread.hpp


