// Revision: 95 1.3.1.2 source/ui/baseapp/icmdhdr.c, genhdr, ioc.v400, 000302 
#ifndef _ICMDHDR_C_
#define _ICMDHDR_C_
/*******************************************************************************
* FILE NAME: icmdhdr.c                                                         *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the template functions                *
*   declared in icmdhdr.hpp.                                                   *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <icmdhdr.hpp>

template<class ATarget>
ICommandConnectionTo<ATarget>::ICommandConnectionTo( ATarget& target,
                                                     MemberFunction memberFunction )
: fTarget(target), fConnectedMember( memberFunction )
{
}

template<class ATarget>
ICommandConnectionTo<ATarget>::~ICommandConnectionTo()
{
}

template<class ATarget>
bool
ICommandConnectionTo<ATarget>::command( ICommandEvent& event )
{
    return ( fTarget.*fConnectedMember ) ( event );
}

template<class ATarget>
bool
ICommandConnectionTo<ATarget>::systemCommand( ICommandEvent& event )
{
    return ( fTarget.*fConnectedMember ) ( event );
}

#endif // _ICMDHDR_C_
