// Revision: 07 1.4.1.3 source/ui/baseapp/ictlevt.hpp, genhdr, ioc.v400, 000302 
#ifndef _ICTLEVT_
  #define _ICTLEVT_
/*******************************************************************************
* FILE NAME: ictlevt.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IControlEvent                                                            *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <ievent.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IControlEvent : public IEvent {
typedef IEvent
  Inherited;
public:
/*------------------------------- Constructors -------------------------------*/
  IControlEvent ( const IEvent&        event );
  IControlEvent ( const IControlEvent& event );

virtual
 ~IControlEvent ( );

/*--------------------------- Control Information ----------------------------*/
virtual unsigned long
  controlId     ( ) const;

};  // IControlEvent

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ICTLEVT_ */
