// Revision: 62 1.12 source/ui/baseapp/idefstyl.h, basewin, ioc.v400, 000302 
#ifndef _IDEFSTYL_
  #define _IDEFSTYL_
/*******************************************************************************
* FILE NAME: idefstyl.h                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

// IWindow styles
extern const unsigned long
  IWindow__noStyle[],
  IWindow__visible[],
  IWindow__disabled[],
  IWindow__clipSiblings[],
  IWindow__clipChildren[],
  IWindow__clipToParent[],
  IWindow__saveBits[],
  IWindow__synchPaint[],
  IWindow__group[],
  IWindow__tabStop[],
  IWindow__leftToRight[],
  IWindow__rightToLeft[];

// IFrameWindow styles
extern const unsigned long
  IFrameWindow__deferCreation[],
  IFrameWindow__accelerator[],
  IFrameWindow__menuBar[],
  IFrameWindow__minimizedIcon[],
  IFrameWindow__alignNoAdjust[],
  IFrameWindow__shellPosition[],
  IFrameWindow__dialogBackground[],
  IFrameWindow__animated[],
  IFrameWindow__appDBCSStatus[],
  IFrameWindow__noMoveWithOwner[],
  IFrameWindow__systemModal[],
  IFrameWindow__windowList[],
  IFrameWindow__titleBar[],
  IFrameWindow__minimizeButton[],
  IFrameWindow__hideButton[],
  IFrameWindow__maximizeButton[],
  IFrameWindow__sizingBorder[],
  IFrameWindow__systemMenu[],
  IFrameWindow__horizontalScroll[],
  IFrameWindow__verticalScroll[],
  IFrameWindow__dialogBorder[],
  IFrameWindow__border[],
  IFrameWindow__maximized[],
  IFrameWindow__minimized[],
  IFrameWindow__classDefaultStyle[],
  IFrameWindow__styleBits[];

// ISplitCanvas styles
extern const unsigned long
  ISplitCanvas__vertical[],
  ISplitCanvas__horizontal[],
  ISplitCanvas__noSplitBars[],
  ISplitCanvas__classDefaultStyle[];

// IWindow event masks
extern const unsigned long
  IWindow__someMouseMoves[],
  IWindow__allMouseMoves[],
  IWindow__mouseEntersLeaves[];

// IMouseHandler styles
extern const unsigned long
  IMouseHandler__noMoves[],
  IMouseHandler__someMoves[],
  IMouseHandler__allMoves[],
  IMouseHandler__entersLeaves[],
  IMouseHandler__classDefaultStyle[];

// IFileDialog styles
extern const unsigned long
  IFileDialog__helpButton[],
  IFileDialog__multiSelection[],
  IFileDialog__filter[],
  IFileDialog__applyButton[],
  IFileDialog__includeEAS[],
  IFileDialog__modeless[],
  IFileDialog__preload[],
  IFileDialog__selectableListbox[],
  IFileDialog__noStyle[],
  IFileDialog__classDefaultStyle[];

// IFontDialog styles
extern const unsigned long
  IFontDialog__helpButton[],
  IFontDialog__applyButton[],
  IFontDialog__resetButton[],
  IFontDialog__modeless[],
  IFontDialog__proportionalOnly[],
  IFontDialog__bitmapOnly[],
  IFontDialog__vectorOnly[],
  IFontDialog__fixedWidthOnly[],
  IFontDialog__noSynthesize[],
  IFontDialog__noStyle[],
  IFontDialog__classDefaultStyle[];

// IBitmapControl styles
extern const unsigned long
  IBitmapControl__sizeToBitmap[],
  IBitmapControl__sizeImageToWindow[],
  IBitmapControl__sizeWindowToImage[],
  IBitmapControl__classDefaultStyle[];

// IIconControl styles
extern const unsigned long
  IIconControl__sizeToIcon[],
  IIconControl__sizeImageToWindow[],
  IIconControl__sizeWindowToImage[],
  IIconControl__classDefaultStyle[];

// IGraphicPushButton styles
extern const unsigned long
  IGraphicPushButton__sizeToGraphic[],
  IGraphicPushButton__sizeImageToWindow[],
  IGraphicPushButton__sizeWindowToImage[],
  IGraphicPushButton__classDefaultStyle[];

#ifdef IC_PMWIN
// ITabControl styles
extern const unsigned long
  ITabControl__border3D[],
  ITabControl__buttons[],
  ITabControl__tabsBottom[],
  ITabControl__tabsTop[],
  ITabControl__classDefaultStyle[];

// ITabPage styles
extern const unsigned long
  ITabPage__autoPageSize[],
  ITabPage__noStyle[],
  ITabPage__classDefaultStyle[];
#endif // IC_PMWIN

#endif // _IDEFSTYL_
