// Revision: 16 1.4.1.3 source/ui/baseapp/ievtpriv.hpp, basewin, ioc.v400, 000302  
/* NOSHIP */
#ifndef _IEVTPRIV_
#define _IEVTPRIV_
/*******************************************************************************
* FILE NAME: ievtpriv.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of classes that are private to the       *
*   implementation of IEvent.                                                  *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

// class IEventPrivateData {
/***************************************************************************/
/* Objects of IEventPrivateData contain private data for the IEvent class. */
/* There is currently no private data class for the IEvent class.          */
/***************************************************************************/
// public:
// };

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif
