// Revision: 47 1.4.1.3 source/ui/baseapp/iframnhd.hpp, frame, ioc.v400, 000302 
#ifndef _IFRAMNHD_
#define _IFRAMNHD_
/*******************************************************************************
* FILE NAME: iframnhd.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IFrameWindowNotifyHandler                                                *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <iwinnhdr.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IFrameWindowNotifyHandler : public IWindowNotifyHandler {
typedef IWindowNotifyHandler
  Inherited;
public:
/*------------------------------- Constructors -------------------------------*/
  IFrameWindowNotifyHandler ( );
virtual
 ~IFrameWindowNotifyHandler ( );

protected:
/*---------------------------- Event Dispatching -----------------------------*/
virtual bool
  dispatchHandlerEvent ( IEvent& event );
}; // IFrameWindowNotifyHandler

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IFRAMNHD_ */
