// Revision: 51 1.7.1.3 source/ui/baseapp/iguinotf.hpp, thread, ioc.v400, 000302  
//
// iguinotf.hpp
// GUI Notification Support
//
// Copyright (C) 1996 Taligent, Inc. All rights reserved.
//
// Authors: Mark Bennett
/*NOSHIP*/
#ifndef _IGUINOTF_
#define _IGUINOTF_

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

//-----------------------------------------------------

class IGUINotification {
public:

    static void     initialize();
    static void     exit();

private:

    IGUINotification() {};
    ~IGUINotification() {};
    IGUINotification(const IGUINotification &copy) {};
    IGUINotification & operator = (const IGUINotification &copy) { return *this; };
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif // _IGUINOTF_
