// Revision: 68 1.4.1.3 source/ui/baseapp/isizeevt.hpp, genhdr, ioc.v400, 000302 
#ifndef _ISIZEEVT_
  #define _ISIZEEVT_
/*******************************************************************************
* FILE NAME: isizeevt.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IResizeEvent                                                             *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <ievent.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

class ISize;

#pragma enum(4)
#pragma pack(push,4)

class IResizeEvent : public IEvent {
typedef IEvent
  Inherited;

public:
/*---------------------------- Constructors ----------------------------------*/
  IResizeEvent ( const IEvent& event );
virtual
 ~IResizeEvent ( );

/*----------------------------- Size Information -----------------------------*/
ISize
  oldSize ( ) const,
  newSize ( ) const;
}; // IResizeEvent

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ISIZEEVT_ */
