// Revision: 17 1.5.1.2 source/ui/baseapp/iwposbuf.inl, datatype, ioc.v400, 000302  
/* NOSHIP */
#ifndef _IWPOSBUF_INL_
#define _IWPOSBUF_INL_
/*******************************************************************************
* FILE NAME: iwposbuf.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in iwposbuf.hpp.                                          *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

#include <iwindefs.h>
#include <iwindow.hpp>

/*----------------------------- IWindowPosBuffer -----------------------------*/
inline unsigned long const
  &key ( IWindowPosBuffer::Item* const& element )
  {
  return element->fkeyHwnd;
  }
#endif // _IWPOSBUF_INL_
