// Revision: 68 1.12.1.5 source/ui/basectl/ibctlcc.cpp, oss, ioc.v400, 000302 
/*******************************************************************************
* FILE NAME: ibctlcc.cpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file is intended to provide a temporary workaround of a compiler      *
*   RTTI bug.                                                                  *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

// for sources\ocsrc\ibasectl


// d:\ocsrc\ibasectl\obj\ibmpctl.obj(ibmpctl.cpp)
#include <ibmpctl.hpp>
#include <iframe.hpp>

// Segment definitions.
#ifdef IC_PAGETUNE
    #define _IBCTLCC_CPP_
    #include <ipagetun.h>
#endif

IBitmapControl::IBitmapControl(const IBitmapControl&) : IStaticText (8000, 0, 0) {}


// d:\ocsrc\ibasectl\obj\igroupbx.obj(igroupbx.cpp)
#include <igroupbx.hpp>

IGroupBox::IGroupBox(const IGroupBox&) {}


// d:\ocsrc\ibasectl\obj\ivport.obj(ivport.cpp)
// d:\ocsrc\ibasectl\obj\ivport.obj(ivport.cpp)
#include <ivrect.hpp>
#include <ivport.hpp>

IViewRectangle::IViewRectangle(const IViewRectangle&) {}
IViewPort::IViewPort(const IViewPort&) {}


// d:\ocsrc\ibasectl\obj\imle.obj(imle.cpp)
#include <imle.hpp>

IMultiLineEdit::IMultiLineEdit(const IMultiLineEdit&) {}


// d:\ocsrc\ibasectl\obj\isetbut.obj(isetbut.cpp)
#include <isetbut.hpp>

ISettingButton::ISettingButton(const ISettingButton&) {}


#ifdef IC_PMWIN
// d:\ocsrc\ibasectl\obj\i3statbx.obj(i3statbx.cpp)
#include <i3statbx.hpp>

I3StateCheckBox::I3StateCheckBox(const I3StateCheckBox&) {}
#endif // IC_PMWIN


// d:\ocsrc\ibasectl\obj\ispintxt.obj(ispintxt.cpp)
// d:\ocsrc\ibasectl\obj\ispintxt.obj(ispintxt.cpp)
#include <ispintxt.hpp>

ITextSpinButton::Cursor::Cursor(const ITextSpinButton::Cursor&) {}
ITextSpinButton::ITextSpinButton(const ITextSpinButton&) {}

#ifdef IC_WIN
 // d:\ocsrc\ibasectl\obj\isliderw.obj(isliderw.cpp)
 #include <isliderw.hpp>
#endif

//CRL  ITimerMemberFn0<IProgressIndicatorData>::ITimerMemberFn0(const
//CRL  ITimerMemberFn0<IProgressIndicatorData>& tmf1) : fObject (tmf1.fObject) {}


// d:\ocsrc\ibasectl\obj\isetcv.obj(isetcv.cpp)
#include <isetcv.hpp>

ISetCanvas::ISetCanvas(const ISetCanvas&) {}


// d:\ocsrc\ibasectl\obj\iscroll.obj(iscroll.cpp)
#include <iscroll.hpp>

IScrollBar::IScrollBar(const IScrollBar&) {}


#ifdef IC_PMWIN
// d:\ocsrc\ibasectl\obj\icslider.obj(icslider.cpp)
#include <icslider.hpp>

ICircularSlider::ICircularSlider(const ICircularSlider&) {}
#endif // IC_PMWIN


// d:\ocsrc\ibasectl\obj\ispinbas.obj(ispinbas.cpp)
#include <ispinbas.hpp>

IBaseSpinButton::IBaseSpinButton(const IBaseSpinButton&) {}


// d:\ocsrc\ibasectl\obj\ititle.obj(ititle.cpp)
#include <ititle.hpp>

ITitle::ITitle(const ITitle&) {}


// d:\ocsrc\ibasectl\obj\ilistbas.obj(ilistbas.cpp)
// d:\ocsrc\ibasectl\obj\ilistbas.obj(ilistbas.cpp)
// d:\ocsrc\ibasectl\obj\ilistbas.obj(ilistbas.cpp)
#include <ilistbas.hpp>

IBaseListBox::Cursor::Cursor(const IBaseListBox::Cursor& lbc) : rlbCl (lbc.rlbCl) {}
IBaseListBox::IBaseListBox(const IBaseListBox&) {}


// d:\ocsrc\ibasectl\obj\icanvas.obj(icanvas.cpp)
#include <icanvas.hpp>

ICanvas::ICanvas(const ICanvas&) {}


// d:\ocsrc\ibasectl\obj\imcelcv.obj(imcelcv.cpp)
#include <imcelcv.hpp>

IMultiCellCanvas::IMultiCellCanvas(const IMultiCellCanvas&) {}


// d:\ocsrc\ibasectl\obj\islider.obj(islider.cpp)
// d:\ocsrc\ibasectl\obj\islider.obj(islider.cpp)
#include <islider.hpp>

ISlider::ISlider(const ISlider&) {}
IProgressIndicator::IProgressIndicator(const IProgressIndicator&) {}


// d:\ocsrc\ibasectl\obj\icombobs.obj(icombobs.cpp)
// d:\ocsrc\ibasectl\obj\icombobs.obj(icombobs.cpp)
// d:\ocsrc\ibasectl\obj\icombobs.obj(icombobs.cpp)
#include <icombobs.hpp>
#include <icmbxprv.hpp>

//class IBaseComboBoxData  {
/*******************************************************************************
* The IBaseComboBoxData class encapsulates private data and functions used by the *
* IBaseComboBox class.  An object of this class is created in the IBaseComboBox   *
* constructors.                                                                *
*******************************************************************************/
/*
public:
  IBaseComboBoxData();

 ~IBaseComboBoxData();

  unsigned long    minimumRows,
                   minimumCharacters;

#ifdef IC_WIN

  unsigned long    charLimit;
  HBRUSH           bkgrndbrush;

//  Returns the handle of the entry field part of a combo box
static IWindowHandle
   handleOfEntryField(const IWindowHandle& combobox );

WNDPROC
  fdefaultEntryProc; // Default procedure for Entry field part of combo
IWindowHandle
  fentryHandle;      // handle of the entry field

#endif

private:
  IBaseComboBoxData::IBaseComboBoxData (const IBaseComboBoxData&);
  IBaseComboBoxData& operator= (const IBaseComboBoxData&);
};
*/
IBaseComboBox::Cursor::Cursor(const IBaseComboBox::Cursor& bcb) : rlbCl (bcb.rlbCl) {}
IBaseComboBoxData::IBaseComboBoxData(const IBaseComboBoxData&) {}
IBaseComboBox::IBaseComboBox(const IBaseComboBox&) {}


// d:\ocsrc\ibasectl\obj\ibutton.obj(ibutton.cpp)
#include <ibutton.hpp>

IButton::IButton(const IButton&) {}


// d:\ocsrc\ibasectl\obj\ioutlbox.obj(ioutlbox.cpp)
#include <ioutlbox.hpp>

IOutlineBox::IOutlineBox(const IOutlineBox&) {}


// d:\ocsrc\ibasectl\obj\ipushbut.obj(ipushbut.cpp)
#include <ipushbut.hpp>

IPushButton::IPushButton(const IPushButton&) {}


// d:\ocsrc\ibasectl\obj\ientryfd.obj(ientryfd.cpp)
#include <ientryfd.hpp>

IEntryField::IEntryField(const IEntryField&) {}


// d:\ocsrc\ibasectl\obj\istattxt.obj(istattxt.cpp)
#include <istattxt.hpp>

IStaticText::IStaticText(const IStaticText&) {}


#ifdef IC_PMWIN
// d:\ocsrc\ibasectl\obj\ivporhdr.obj(ivporhdr.cpp)
#include <ivporhdr.hpp>
#include <ivrect.hpp>

IViewPortScrollHandler::IViewPortScrollHandler(const IViewPortScrollHandler&) {}
#endif


// d:\ocsrc\ibasectl\obj\iiconctl.obj(iiconctl.cpp)
#include <iiconctl.hpp>
#include <iframe.hpp>

IIconControl::IIconControl(const IIconControl&) : IBitmapControl (8100, 0, 0, 8101) {}


// d:\ocsrc\ibasectl\obj\iradiobt.obj(iradiobt.cpp)
#include <iradiobt.hpp>

IRadioButton::IRadioButton(const IRadioButton&) {}


// d:\ocsrc\ibasectl\obj\itextctl.obj(itextctl.cpp)
#include <itextctl.hpp>

ITextControl::ITextControl(const ITextControl&) {}


// d:\ocsrc\ibasectl\obj\ilistbox.obj(ilistbox.cpp)
#include <ilistbox.hpp>
#include <iframe.hpp>

IListBox::IListBox(const IListBox&) : IBaseListBox (9200, 0, 0) {}


// d:\ocsrc\ibasectl\obj\icontrol.obj(icontrol.cpp)
#include <icontrol.hpp>

IControl::IControl(const IControl&) {}


//d:\ocsrc\ibasectl\obj\inotebk0.cpp)
// d:\ocsrc\ibasectl\obj\inotebk.obj(inotebk.cpp)
#include <inotebk.hpp>

INotebook::Cursor::Cursor(const INotebook::Cursor& nbc) : nbCl (nbc.nbCl) {}
INotebook::INotebook(const INotebook&) : colorFlags (0) {}


// d:\ocsrc\ibasectl\obj\igraphbt.obj(igraphbt.cpp)
#include <igraphbt.hpp>
#include <iframe.hpp>

IGraphicPushButton::IGraphicPushButton(const IGraphicPushButton&) : IPushButton (9300, 0, 0) {}


// d:\ocsrc\ibasectl\obj\ispinnum.obj(ispinnum.cpp)
#include <ispinnum.hpp>

INumericSpinButton::INumericSpinButton(const INumericSpinButton&) {}


// d:\ocsrc\ibasectl\obj\icheckbx.obj(icheckbx.cpp)
#include <icheckbx.hpp>

ICheckBox::ICheckBox(const ICheckBox&) {}


// d:\ocsrc\ibasectl\obj\iinfoa.obj(iinfoa.cpp)
#include <iinfoa.hpp>
#include <iframe.hpp>

IInfoArea::IInfoArea(const IInfoArea&) : IStaticText (9400, 0, 0) {}


// d:\ocsrc\ibasectl\obj\icombobx.obj(icombobx.cpp)
#include <icombobx.hpp>
#include <iframe.hpp>

IComboBox::IComboBox(const IComboBox&) : IBaseComboBox (9500, 0, 0) {}


// d:\ocsrc\ibasectl\obj\idrawcv.obj(idrawcv.cpp)
#include <idrawcv.hpp>

IDrawingCanvas::IDrawingCanvas(const IDrawingCanvas&) {}


#ifdef IC_PMWIN
#include <itabctl.hpp>
ITabControl::Cursor::Cursor(const ITabControl::Cursor& source) :
  fTabControl( source.fTabControl ) {}

ITabControl::ITabControl(const ITabControl&)
{}

ITabPage::ITabPage(const ITabPage&)
{}
#endif

