// Revision: 36 1.6 source/ui/basectl/icanvas.inl, canvas, ioc.v400, 000302  
#ifndef _ICANVAS_INL_
#define _ICANVAS_INL_
/*******************************************************************************
* FILE NAME: icanvas.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in icanvas.hpp.                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/

/*-------------------------------- ICanvas -----------------------------------*/
#ifndef IC_WIN
inline void  ICanvas::setDefaultStyle ( const ICanvas::Style& style )
  {
  currentDefaultStyle = style;
  }
#endif
inline ISize  ICanvas::layoutSize ( ) const
  {
  return sizClLayout;
  }
inline ICanvas  &ICanvas::setLayoutSize ( const ISize& size )
  {
  sizClLayout = size;
  return *this;
  }
inline bool  ICanvas::areChildrenReversed ( ) const
  {
  return bClChildrenReversed;
  }
#endif // _ICANVAS_INL_
