// Revision: 87 1.4.1.5 source/ui/basectl/iiconctp.hpp, staticctls, ioc.v400, 000302 
/* NOSHIP */
#ifndef _IICONCTP_
#define _IICONCTP_
/*******************************************************************************
* FILE NAME: iiconctp.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IIconControlData  - IconControl private data                             *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <i2dghand.hpp>
#include <iiconhdr.hpp>
#include <ipoint.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

/*------------------------------------------------------------------------------
  Private data class for IIconControl.
------------------------------------------------------------------------------*/
class IIconControlData {
public:
  IIconControlData( );
  ~IIconControlData( );

IIconHandler
   fdefaultHandler;

static ISize
   iconSize( const IPointerHandle& hicon);

};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif // _IICONCTP_
