// Revision: 90 1.4.2.2 source/ui/basectl/iinfoa1.cpp, staticctls, ioc.v400, 000302  
/*******************************************************************************
* FILE NAME: iinfoa1.cpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the initialization of static strings used in the        *
*   IInfoArea class.                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#pragma priority( -2147481324 )

extern "C" {
   #include <iwindefs.h>
}

#ifndef _INOTIFY_
  #include <inotify.hpp>
#endif

#ifndef _IINFOA_
  #include <iinfoa.hpp>
#endif

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IINFOA1_CPP_
  #include <ipagetun.h>
#endif

// Initialize static objects and notification strings.
INotificationId const IInfoArea::defaultTextId = "IInfoArea::defaultText";
INotificationId const IInfoArea::disabledTextId = "IInfoArea::disabledText";
INotificationId const IInfoArea::missingTextId  = "IInfoArea::missingText";
INotificationId const IInfoArea::resourceLibraryId
                                          = "IInfoArea::resourceLibrary";
#if ( IC_OBSOLETE <= IC_OBSOLETE_3 )
INotificationId const IInfoArea::inactiveTextId = IInfoArea::defaultTextId;
#endif // IC_OBSOLETE

