// Revision: 78 1.5.1.2 source/ui/cnr/icnrcol.inl, container, ioc.v400, 000302 
#ifndef _ICNRCOL_INL_
#define _ICNRCOL_INL_
/*******************************************************************************
* FILE NAME: icnrcol.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in icnrcol.hpp.                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/

inline _FIELDINFO* IContainerColumn :: columnInfo() const
  {return pfieldinfoCl; }

inline IContainerColumn& IContainerColumn :: setColumnInfo(_FIELDINFO* pfieldinfo)
  {pfieldinfoCl = pfieldinfo;  return *this;}

inline IContainerColumn& IContainerColumn :: setContainer(IContainerControl* pcnrctl)
   {pcnrctlCl = pcnrctl; return *this; }

inline IContainerControl* IContainerColumn :: container() const
  { return pcnrctlCl; }

inline unsigned long IContainerColumn::helpId ( ) const
{ return ulHelpId; }

#endif // _ICNRCOL_INL_
