// Revision: 82 1.5.1.2 source/ui/drag/idmenab.inl, dragdrop, ioc.v400, 000302  
/* NOSHIP */
#ifndef _IDMENAB_INL_
#define _IDMENAB_INL_
/*******************************************************************************
* FILE NAME: idmenab.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in idmenab.hpp.                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

#ifdef IC_MOTIF
  #ifndef _IDMMOTF_
    #include <idmmotf.hpp>
  #endif
#endif

inline void IDMDragDropEnabler::enableDragFrom( const IWindowHandle& handle )
 {
#ifdef IC_MOTIF
  IDMMotif::enableDragFrom( handle );
#endif
 }

inline void IDMDragDropEnabler::enableDropOn( const IWindowHandle& handle )
 {
#ifdef IC_MOTIF
  IDMMotif::enableDropOn( handle );
#endif
 }
#endif // _IDMENAB_INL_
