// Revision: 85 1.5.1.2 source/ui/drag/idmmotf.inl, dragdrop, ioc.v400, 000302  
/* NOSHIP */
#ifndef _IDMMOTF_INL_
#define _IDMMOTF_INL_
/*******************************************************************************
* FILE NAME: idmmotf.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in idmmotf.hpp.                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

#ifdef IC_MOTIF
inline UsArray*& IDMMotif::targetCompletions()
{
 return targetCompletionArrayPtr;
}

inline IBase::Boolean IDMMotif::dropInProgress()
{
 return dropping || ( IDMMotif::targetCompletions() != 0 );
}

inline unsigned char& IDMMotif::dropSiteStatus()
{
 return dsStatus;
}

inline unsigned long& IDMMotif::numberOfDropSiteLeaves()
{
 return numDropSiteLeaves;
}
#endif
#endif // _IDMMOTF_INL_
