// Revision: 99 1.4.1.3 source/ui/drag/idmseq.hpp, dragdrop, ioc.v400, 000302  
/* NOSHIP */
#ifndef _IDMSEQ_
#define _IDMSEQ_
/*******************************************************************************
* FILE NAME: idmseq.hpp                               (private - do not ship!) *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IDMItemSeq                                                               *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <iseq2.h>
#include <idmitem.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IDMItemSeq : public ISequence<IDMItem::Handle> {
public:
  IDMItemSeq ( );
 ~IDMItemSeq ( );
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif
