// Revision: 07 1.3.1.4 source/ui/drag/idmtbrit.hpp, dragdrop, ioc.v400, 000302 
#ifndef _IDMTBRIT_
#define _IDMTBRIT_
/*******************************************************************************
* FILE NAME: idmtbrit.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IDMToolBarItem                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved                    *
*                                                                              *
*******************************************************************************/
#include <idmitem.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

class IDMToolBarItemData;

#pragma enum(4)
#pragma pack(push,4)

class IDMToolBarItem : public IDMItem {
typedef IDMItem
  Inherited;
public:

/*------------------------------- Constructors -------------------------------*/
  IDMToolBarItem  ( const IDMItem::Handle& dragItem );

virtual
  ~IDMToolBarItem ( );

/*------------------------------ Drop Processing -----------------------------*/
virtual bool
  targetDrop ( IDMTargetDropEvent& event );

private:
/*--------------------------------- Private ----------------------------------*/

IDMToolBarItemData
 *fDMToolBarItemData;

}; // IDMToolBarItem

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif // _IDMTBRIT_
