/* Revision: 41 1.2.2.2 source/ui/widgets/iclcreat.c, cuawidgets, ioc.v400, 000302  */
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1997, 1997                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <X11/IntrinsicP.h>
#include <Xm/List.h>
#include <Xm/Text.h>

#include "iclcreat.h"


/*
 * public convenience Listbox creation function
 */
Widget XiclCreateScrolledList(Widget   parent,
		      char*    name,
		      ArgList  arglist,
		      Cardinal argcount)
  {
  Widget listbox;

  listbox = XmCreateScrolledList(parent,
                                 name,
                                 arglist,
                                 argcount);

   return XtParent(listbox);
  }

/*
 * public convenience scrolled text widget creation function
 */
Widget XiclCreateScrolledText(Widget   parent,
		      char*    name,
		      ArgList  arglist,
		      Cardinal argcount)
  {
  Widget text;

  text = XmCreateScrolledText(parent,
                              name,
                              arglist,
                              argcount);

   return XtParent(text);
  }
