// Revision: 61 1.11.1.3 source/core/base/ibasecc.cpp, oss, ioc.v400, 000302 
/*******************************************************************************
* FILE NAME: ibasecc.cpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file is intended to provide a temporary workaround of a compiler      *
*   RTTI bug.                                                                  *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

// for sources\ocsrc\ibase


#include <iexcept.hpp>
#include <ireslock.hpp>
#include <iasynty.hpp>
#include <iobservr.hpp>
#include <iconditn.hpp>
#include <iperthr.hpp>
#include <iprimlck.hpp>
#include <iextproc.hpp>
#include <ithrdexc.hpp>
#include <ingthrdp.hpp>

#ifdef IC_PAGETUNE
    #define _IBASECC_CPP_
    #include <ipagetun.h>
#endif

ICLibErrorInfo::ICLibErrorInfo(const ICLibErrorInfo&) {}

IResource::IResource(const IResource&) {}

INotificationRequest::INotificationRequest(const INotificationRequest& R) : fObserver (R.fObserver) {}

ISharedResource::ISharedResource(const ISharedResource&) {}

IPrivateResource::IPrivateResource(const IPrivateResource&) {}

ISystemErrorInfo::ISystemErrorInfo(const ISystemErrorInfo&) {}

INotificationProcessor::INotificationProcessor(const INotificationProcessor&) {}

IGUIErrorInfo::IGUIErrorInfo(const IGUIErrorInfo&) {}

IResourceLock::IResourceLock(const IResourceLock&) {}

ICrossThreadNotificationLoop::ICrossThreadNotificationLoop(const ICrossThreadNotificationLoop& R) : fObserver (R.fObserver) {}

IThreadFn::IThreadFn ( const IThreadFn& function ) {}

ICondition::ICondition(const ICondition&) {}

ISharedCondition::ISharedCondition(const ISharedCondition&) {}

IPrivateCondition::IPrivateCondition(const IPrivateCondition&) {}

IPrimalLock::IPrimalLock(const IPrimalLock&) {}
void IPrimalLock::operator=(const IPrimalLock&) {}

IThreadLocalBase::IThreadLocalBase(const IThreadLocalBase&) {}

IExternalProcess::IExternalProcess(const IExternalProcess&) {}
void IExternalProcess::operator=(const IExternalProcess&) {}
IExtProcImplBase::IExtProcImplBase(const IExtProcImplBase&) {}
void IExtProcImplBase::operator=(const IExtProcImplBase&) {}

IConditionInvalid& IConditionInvalid::operator=(const IConditionInvalid&) {return *this;}
IWaitAbandoned& IWaitAbandoned::operator=(IWaitAbandoned&) {return *this;}

IStartedThread::IStartedThread(const IStartedThread&) {}
void IStartedThread::operator=(const IStartedThread&) {}

