#ifndef _IMPRINTF_
#define _IMPRINTF_
/*----------------------------------------------------------------------------*/
/* FILE NAME: imprintf.h                                                      */
/*                                                                            */
/* DESCRIPTION:                                                               */
/*   Declaration of the functions:                                            */
/*     imprintf                                                               */
/*                                                                            */
/* COPYRIGHT:                                                                 */
/*   IBM Open Class Library                                                   */
/*   Licensed Materials - Property of IBM                                     */
/*                                                                            */
#ifdef __MVS__
/*   5645-001                                                                 */
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
#ifdef __OS400__
/*   ????-???                                                                 */
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
#ifdef __OS2__
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
#ifdef __WINDOWS__
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
#ifdef _AIX
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
#ifdef _sparc
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
#ifdef __sparc
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
#endif
/*                                                                            */
/*----------------------------------------------------------------------------*/

#include <ibase.hpp>

// Define a macro to convert all occurrences of the "printf" library
// call name to call the internal program.  This is required due to the
// the problem of duplicate symbol definition errors from the linker.
// #define printf imprintf

// Here's the prototype for the internal "printf" work-a-like function
// int _cdecl imprintf(const char *,...);
extern "C" int  imprintf(const char *,...);

#define IC_PRINTFMAXLEN  1024

#endif
