// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 28 1.4.1.3 source/core/collect/iastr.h, collection, ioc.v400, 000302 
#ifndef _IASTR_
#define _IASTR_

#if ! defined(__INO_STREAMING__)
#include <idatstrm.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IACollectionStreamer 
{
public:
  IACollectionStreamer() {};
  virtual void streamOut (IDataStream& stream, void* element) = 0;
  virtual void streamIn  (IDataStream& stream, void* element) = 0;

  virtual ~IACollectionStreamer () {};
};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif

#endif // _IASTR_
