// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// "Restricted Materials of IBM"
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
#include <ibtree.h>

#ifdef IC_PAGETUNE
  #define _IBTREE_CPP_
  #include <ipagetun.h>
#endif


#if defined (__OS2__) || defined (__OS400__) || defined (__WINDOWS__)
#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#endif

// -----------
// ITreeCursor
// -----------

// public members

ITreeCursor::
~ITreeCursor ()
{ delete ivImpl;
}

// ----------
// IATreeBase
// ----------

// protected members

ITreeCursor*
IATreeBase::
InterfaceFor (ITreeCursorImpl* cursor)
{ return (ITreeCursor*) CheckPointer (new ITreeCursor (cursor));
}

#if defined (__OS2__) || defined (__OS400__) || defined (__WINDOWS__)
#pragma info (restore)
#endif
