// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 56 1.3.1.2 source/core/collect/iiesseq.inl, collection, ioc.v400, 000302 
#ifndef _IIESSEQ_INL_
#define _IIESSEQ_INL_

// -------------------------------
// IEqualitySequenceOnSequenceImpl
// -------------------------------

// public members

template <class Base>
inline void
IEqualitySequenceOnSequenceImpl <Base>::
operator= (IEqualitySequenceOnSequenceImpl <Base> const& collection)
{ BaseOf (*this).Base::operator= (BaseOf (collection));
}


// -------------------------------
// IAEqualitySequenceOnSequenceOps
// -------------------------------

// public members

template <class Base>
inline
IAEqualitySequenceOnSequenceOps <Base>::
~IAEqualitySequenceOnSequenceOps ()
{
}

#endif // _IIESSEQ_INL_
