// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 04 1.3.1.2 source/core/collect/iiksbseq.inl, collection, ioc.v400, 000302 
#ifndef _IIKSBSEQ_INL_
#define _IIKSBSEQ_INL_

// ---------------------------
// IKeySortedBagOnSequenceImpl
// ---------------------------

// public members

template <class Base>
inline void
IKeySortedBagOnSequenceImpl <Base>::
operator= (IKeySortedBagOnSequenceImpl <Base> const& collection)
{ BaseOf (*this).Base::operator= (BaseOf (collection));
}

// ---------------------------
// IAKeySortedBagOnSequenceOps
// ---------------------------

// public members

template <class Base>
inline
IAKeySortedBagOnSequenceOps <Base>::
~IAKeySortedBagOnSequenceOps ()
{
}

#endif // _IIKSBSEQ_INL_
