// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// "Restricted Materials of IBM"
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 65 1.5.1.2 source/core/collect/iissavl.cpp, collection, ioc.v400, 000302  
#ifdef IC_PAGETUNE
  #define _IISSAVL_CPP_
  #include <ipagetun.h>
#endif


#include <iissavl.h>

#if defined (__OS2__) || defined (__OS400__) || defined (__WINDOWS__)
#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#endif

#if defined (__SOM_ENABLED__) && defined (__RRBC_LIB__)
#pragma define    (ISortedSetOnKeySortedSetMngCursorImpl\
                    <IKeySortedSetAsAvlTreeImpl>)
#pragma SOMDefine (ISortedSetOnKeySortedSetMngCursorImpl\
                    <IKeySortedSetAsAvlTreeImpl>)
#pragma define    (IASortedSetOnKeySortedSetOps\
                    <IKeySortedSetAsAvlTreeImpl>)
#pragma SOMDefine (IASortedSetOnKeySortedSetOps\
                    <IKeySortedSetAsAvlTreeImpl>)
#endif

// ---
// ISortedSetAsAvlTreeImpl
// ---

char const*
ISortedSetAsAvlTreeImpl::cvClassName = "SortedSetAsAvlTree";

#if defined (__OS2__) || defined (__OS400__) || defined (__WINDOWS__)
#pragma info (restore)
#endif
