// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 01 1.2.1.2 source/core/collect/imtree.inl, collection, ioc.v400, 000302 
#ifndef _IMTREE_INL_
#define _IMTREE_INL_

// ---------
// IMetaTree
// ---------

// protected members

inline
IMetaTree::
IMetaTree ()
: ivImpl (0)
{
}

inline
IMetaTree::
IMetaTree (IMetaTree const&)
: ivImpl (0)
{
}

inline void*
IMetaTree::
CheckPointer (void* p)
{ return IATreeImpl::CheckPointer (p);
}

inline IATreeImpl const&
IMetaTree::
GetImpl () const
{ return *ivImpl;
}

#endif // _IMTREE_INL_
