// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 32 1.3.1.2 source/core/collect/irbag.inl, collection, ioc.v400, 000302  
#ifndef _IRBAG_INL_
#define _IRBAG_INL_

// ---
// IRBag
// ---

// public members

template <class Element, class Base>
inline
IRBag <Element, Base>::
IRBag (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Base>
inline IRBag <Element, Base>&
IRBag <Element, Base>::
operator= (IRBag
            <Element, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRBAG_INL_
