// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 67 1.3.1.2 source/core/collect/irseq.inl, collection, ioc.v400, 000302  
#ifndef _IRSEQ_INL_
#define _IRSEQ_INL_

// ---
// IRSequence
// ---

// public members

template <class Element, class Base>
inline
IRSequence <Element, Base>::
IRSequence (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Base>
inline IRSequence <Element, Base>&
IRSequence <Element, Base>::
operator= (IRSequence
            <Element, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRSEQ_INL_
