#ifndef _IDEQUE2_C_
#define _IDEQUE2_C_
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <ideque2.h>


template <class Element, class Imp>
  ITImpDeque< Element,  Imp>::ITImpDeque( unsigned long numberOfElements )
     : ITImpQueue<Element,  Imp>( numberOfElements)
     {}

template <class Element, class Imp>
  ITImpDeque< Element,  Imp>::~ITImpDeque( )
{}

template <class Element>
  IDeque< Element>::IDeque( unsigned long numberOfElements)
     : ITImpDeque<Element,  Element> ( numberOfElements)
{}


template <class Element>
  IDeque< Element>::~IDeque( )
{}


#ifdef IC_USE_STL_VPTR
  template <class Element>
    IVPtrDeque< Element>::IVPtrDeque( unsigned long numberOfElements)
       : ITImpDeque<Element,  void*> ( numberOfElements)
  {}


  template <class Element>
    IVPtrDeque< Element>::~IVPtrDeque( )
  {}
#endif

#endif // _IDEQUE2_C_
