#ifndef _IKSSSTS2_C_
#define _IKSSSTS2_C_
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <iksssts2.h>


template <class Element, class Key, class Imp>
  ITImpKeySortedSetOnSortedTabularSequence< Element, Key, Imp>::ITImpKeySortedSetOnSortedTabularSequence( unsigned long numberOfElements )
     : ITImpKeySet<Element, Key, Imp>( numberOfElements)
     {}

template <class Element, class Key, class Imp>
  ITImpKeySortedSetOnSortedTabularSequence< Element, Key, Imp>::~ITImpKeySortedSetOnSortedTabularSequence( )
{}

template <class Element, class Key>
  IKeySortedSetOnSortedTabularSequence< Element, Key>::IKeySortedSetOnSortedTabularSequence( unsigned long numberOfElements)
     : ITImpKeySortedSetOnSortedTabularSequence<Element, Key, Element> ( numberOfElements)
{}


template <class Element, class Key>
  IKeySortedSetOnSortedTabularSequence< Element, Key>::~IKeySortedSetOnSortedTabularSequence( )
{}


#ifdef IC_USE_STL_VPTR
  template <class Element, class Key>
    IVPtrKeySortedSetOnSortedTabularSequence< Element, Key>::IVPtrKeySortedSetOnSortedTabularSequence( unsigned long numberOfElements)
       : ITImpKeySortedSetOnSortedTabularSequence<Element, Key, void*> ( numberOfElements)
  {}


  template <class Element, class Key>
    IVPtrKeySortedSetOnSortedTabularSequence< Element, Key>::~IVPtrKeySortedSetOnSortedTabularSequence( )
  {}
#endif

#endif // _IKSSSTS2_C_
