/*
*****************************************************************************************
*                                                                                       *
* COPYRIGHT:                                                                            *
*   IBM Open Class Library                                                              *
*   (C) Copyright International Business Machines Corporation,  1997                    *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.                  *
*   US Government Users Restricted Rights - Use, duplication, or disclosure             *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                              *
*                                                                                       *
*****************************************************************************************
*/
// Revision: 82 1.10.1.3 source/core/streams/istrmio.cpp, oss, ioc.v400, 000302 
//
//
//
// istrmio.cpp
//
#include <istrmio.hpp>
#include <istrmfnd.hpp>

#ifdef IC_PAGETUNE
    #define _ISTRMIO_CPP_
    #include <ipagetun.h>
#endif

//
// IStreamIO
//
IStreamIO::IStreamIO()
{
}

IStreamIO::IStreamIO(const IStreamIO&)
{
}

IStreamIO::~IStreamIO()
{
}

IMStreamable*
IStreamIO::createUninitialized(const IStreamFinder* finder, const ITypeName& typeName, IMRefCounted*& refCounted)
{
        return finder->createUninitialized(typeName, refCounted);
}

const ITypeRepresentation*
IStreamIO::findTypeRepresentation(const IStreamFinder* finder, const ITypeName& typeName)
{
        return &finder->findTypeRepresentation(typeName);
}
