// Revision: 37 1.10.1.4 source/core/testfw/ismpclck.hpp, testfw, ioc.v400, 000302 
#ifndef _ISMPCLCK_
#define _ISMPCLCK_
/*
*****************************************************************************************
*                                                                                       *
* COPYRIGHT:                                                                            *
*   IBM Open Class Library                                                              *
*   (C) Copyright International Business Machines Corporation,  1997                    *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.                  *
*                                                                                       *
*****************************************************************************************
*/

#include <itfwpl.hpp>           // pragma library definitions

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class ISimpleClock {
public:
        ISimpleClock() {}
        ~ISimpleClock() {}
        void            timeNow(double& time);

private:
        double   conversionToDouble(unsigned long high, unsigned long low);
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif // _ISMPCLCK_
