// Revision: 72 1.6.1.4 source/core/text/styles/itsritr.hpp, text, ioc.v400, 000302 
/*
*****************************************************************************************
*                                                                                       *
* COPYRIGHT:                                                                            *
*   IBM Open Class Library                                                              *
*   (C) Copyright International Business Machines Corporation,  1997                    *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.                  *
*   US Government Users Restricted Rights - Use, duplication, or disclosure             *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                              *
*                                                                                       *
*****************************************************************************************
*/
#ifndef _ITSRITR_
#define _ITSRITR_

#include <istylset.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)

class ITextStyleRunIterator {

        public:

                                                ITextStyleRunIterator( const IText* text );

        virtual                 ITextStyleRunIterator();

                        void    First( offset_type& offset, length_type& length );
                        void    Last( offset_type& offset, length_type& length );
                        bool    Next( offset_type& offset, length_type& length );
                        void    Previous( offset_type& offset, length_type& length );

        private:

        IText*          fText;
        offset_type     fCurrentPosition;

};

#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif // _ITSRITR_
