#ifndef _ATOMICOP_
#define _ATOMICOP_

/*NOSHIP*/
// COPYRIGHT:
//      IBM Open Class Library
//      (C) Copyright International Business Machines Corporation 1992, 1997
//      Licensed Material - Program-Property of IBM - All Rights Reserved.
//      US Government Users Restricted Rights - Use, duplication, or disclosure
//      restricted by GSA ADP Schedule Contract with IBM Corp.
//

// atomicop.hpp
// Revision: 51 1.4.1.4 source/core/utils/atomicop.hpp, utilities, ioc.v400, 000302 

void *  AtomicGet(void* const volatile* address);
void    AtomicSet(void* volatile* address, void *newValue);
int     AtomicSwap(void* volatile* address, void *test, void *newValue);
#ifdef IC_PM
void    AtomicIncrement( void* const volatile* address);
int     AtomicDecrement( void* const volatile* address);
#endif
#endif // _ATOMICOP_
