// Revision: 28 1.5.1.2 source/dde/iddepl.hpp, dde, ioc.v400, 000302 

/*
*****************************************************************************************
*                                                                                       *
* COPYRIGHT:                                                                            *
*   IBM Open Class Library                                                              *
*   Licensed Material - Property of IBM                                                 *
*   (C) Copyright IBM Corp. 1996, 1997  All Rights Reserved                             *
*                                                                                       *
*****************************************************************************************
*/
// iddepl.hpp - Pragma Library definitions for dde

#ifndef _IDDEPL_
#define _IDDEPL_

#ifndef IC_IMPORTD
  #if defined(__WINDOWS__) && defined(__IMPORTLIB__)
    #define IC_IMPORTD  _Import
  #else
    #define IC_IMPORTD
  #endif
#endif

/*-------------------------- Pragma Library Support --------------------------*/
#ifndef _IPRAGLIB_H
#include <ipraglib.h>
#endif

#if !defined(__NO_DEFAULT_LIBS__)
    #if !defined(__NO_DDE_LIB__)
        #if defined(__WINDOWS__)
            #if defined(_MSC_VER)   // MSVC
                    #pragma comment(lib, OPENCLASS_LIBRARY_NAME_2(dde,od))
            #else                   // VAC
                    #pragma library(OPENCLASS_LIBRARY_NAME_2(dde,od))
            #endif
        #elif defined(__OS2__)
                #pragma library(OPENCLASS_LIBRARY_NAME_2(dde,od))
        #endif // platform
    #else
        // This will be seen in the context of building the library only.
        #if defined(__WINDOWS__)
            #if defined(_MSC_VER)   // MSVC
                #pragma comment(lib, "kernel32.lib")
                #pragma comment(lib, "user32.lib")
            #else                   // VAC
                #pragma library("kernel32.lib")
                #pragma library("user32.lib")
            #endif
        #elif defined(__OS2__)
            #pragma library("os2386.lib")
        #endif // __OS2__
    #endif // __NO_DDE_LIB__
#endif  // __NO_DEFAULT_LIBS__

#endif // _IDDEPL_
