// Revision: 31 1.3.1.2 source/dde/iddetsrv.inl, dde, ioc.v400, 000302 
/*******************************************************************************
* FILE NAME: iddetsrv.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in iddetsrv.hpp.                                          *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved                    *
*                                                                              *
*******************************************************************************/

inline IWindowHandle IDDETopicServer :: serverHandle ( ) const
{
   return wndhClServer;
}

inline IString IDDETopicServer :: application ( ) const
{
   return strClApplication;
}

inline IString IDDETopicServer :: topic ( ) const
{
   return strClTopic;
}

inline IDDEServerConversationSet& IDDETopicServer :: closedConversations ( ) const
{
   return *pClsdConvSetCl;
}

inline IDDEServerConversationSet& IDDETopicServer :: conversations ( ) const
{
   return *pConvSetCl;
}

inline IDDEServerHotLinkItemSet& IDDETopicServer :: hotLinkItems ( ) const
{
   return *pHLItemSetCl;
}

inline IDDEFormatSet& IDDETopicServer :: formats ( ) const
{
   return *pFormatSetCl;
}

#ifdef IC_WIN
inline IDDEItemAtomSet& IDDETopicServer :: itemAtoms ( ) const
{
   return *pItemAtomSetCl;
}
#endif

inline unsigned long IDDETopicServer :: queueHandle ( ) const
{
   return ulClQHandle;
}

