// Revision: 00 1.6.1.3 source/ui/baseapp/icolor.inl, datatype, ioc.v400, 000302 
#ifndef _ICOLOR_INL_
#define _ICOLOR_INL_
/*******************************************************************************
* FILE NAME: icolor.inl                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in icolor.hpp.                                            *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved                    *
*                                                                              *
*******************************************************************************/

#ifdef IC_PMWIN
inline IDeviceColor::DeviceColor IDeviceColor::deviceColor ( ) const
{
  return dcClDeviceColor;
}

inline IColor::ESystemColor IGUIColor::systemColor ( ) const
{
  return Inherited::runtimeGuiColor();
}
#endif
#endif // _ICOLOR_INL_
