// Revision: 26 1.4.1.3 source/ui/baseapp/ifocshdr.hpp, genhdr, ioc.v400, 000302 
#ifndef _IFOCSHDR_
  #define _IFOCSHDR_
/*******************************************************************************
* FILE NAME: ifocshdr.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IFocusHandler                                                            *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <ihandler.hpp>
#include <ictlevt.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IFocusHandler : public IHandler {
typedef IHandler
  Inherited;

public:
/*---------------------------- Constructors ----------------------------------*/
  IFocusHandler        ( );
virtual
 ~IFocusHandler        ( );

protected:
/*---------------------------- Event Dispatching -----------------------------*/
virtual bool
  dispatchHandlerEvent ( IEvent& event );

/*----------------------------- Event Processing -----------------------------*/
virtual bool
  gotFocus             ( IControlEvent& event ),
  lostFocus            ( IControlEvent& event );
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IFOCSHDR_ */
