// Revision: 60 1.4.1.3 source/ui/baseapp/iresstat.hpp, resource, ioc.v400, 000302  
/* NOSHIP */
#ifndef _IRESSTAT_
#define _IRESSTAT_
/*******************************************************************************
* FILE NAME: iresstat.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declarations of the classes:                                               *
*     IResourceLibrary                                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>

#ifdef IC_MOTIF
  #include <istring.hpp>
#endif

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IResLibStaticPtr {
public:


#ifdef IC_MOTIF
static char
 *getAppRes(unsigned long id,
                  char* preamble,
                  bool throwException = true);
static void
  mergeOverrideResources(const char *resourceFile);
#endif //IC_MOTIF
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif // _IRESSTAT_
