// Revision: 25 1.2 source/ui/baseapp/win/ibrushdr.hpp, basewin, ioc.v400, 000302 
/* NOSHIP */
#ifndef _IBRUSHDR_
#define _IBRUSHDR_
/*******************************************************************************
* FILE NAME: ibrushdr.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IBrushHandler                                                            *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <ievent.hpp>
#include <ihandler.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

class IString;
class IWindow;
class IFrameWindow;

#pragma enum(4)
#pragma pack(push,4)


class IBrushHandler : public IHandler
{
typedef IHandler
  Inherited;
public:
/*------------------------------- Constructors -------------------------------*/
   IBrushHandler ( );
virtual
 ~IBrushHandler ( );

protected:

/*---------------------------- Event Dispatching -----------------------------*/
virtual bool
  dispatchHandlerEvent ( IEvent& event );

private:
/*----------------------------- Hidden Functions -----------------------------*/
IBrushHandler (const IBrushHandler&);
IBrushHandler& operator= (const IBrushHandler&);
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IBRUSHDR_ */
