// Revision: 44 1.4.1.4 source/ui/basectl/icmnfun.hpp, control, ioc.v400, 000302  
/* NOSHIP */
#ifndef _ICMNFUN_
  #define _ICMNFUN_
/*******************************************************************************
* FILE NAME: icmnfun.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the functions:                                              *
*     defaultbackgroundcolor                                                   *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/


#include <ihandle.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

class IColor;

#pragma enum(4)
#pragma pack(push,4)

/*------------------------------------------------------------------------------
| defaultbackgroundcolor                                                       |
------------------------------------------------------------------------------*/
IColor defaultbackgroundcolor(IWindowHandle hwndmain);

void clickButton(const IWindowHandle& buttonHandle);

#ifdef IC_WIN

/**********************************************************************/
/* support of WinTrackRect function in PM                             */
/**********************************************************************/
typedef struct _TRACKINFO {
    int     cxBorder;
    int     cyBorder;
    int     cxGrid;
    int     cyGrid;
    int     cxKeyboard;
    int     cyKeyboard;
    RECT    rclTrack;
    RECT    rclBoundary;
    POINT   ptlMinTrackSize;
    POINT   ptlMaxTrackSize;
    WORD    fs;
} TRACKINFO;
typedef TRACKINFO *PTRACKINFO;

#define TF_MOVE          0x000F
#define TF_ALLINBOUNDARY 0x0080

int WinTrackRect (HWND hwnd, void* dummy,  PTRACKINFO lpTrackInfo);

#endif  //IC_WIN

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ICMNFUN_ */
