/* NOSHIP */  
#ifndef _ICVOBSRV_
  #define _ICVOBSRV_
/*******************************************************************************
* FILE NAME: icvobsrv.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ICanvasObserver                                                          *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/

#include <iobservr.hpp>
#include <imcelcv.hpp>
#include <isetcv.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class ICanvasObserver : public IObserver {
typedef IObserver
  Inherited;

public:

/*------------------------- Constructors -------------------------------------*/
  ICanvasObserver ( ICanvas* canvas);
virtual
 ~ICanvasObserver ( );

protected:

/*------------------------- Notification Members -----------------------------*/
virtual IObserver
 &dispatchNotificationEvent ( const INotificationEvent& event );

private:

/*----------------------------- Data -----------------------------------------*/
ICanvas *pCanvas;

}; // ICanvasObserver

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif  /*  _ICVOBSRV_  */
