// Revision: 70 1.4 source/ui/basectl/isplitc1.cpp, canvas, ioc.v400, 000302  
/*******************************************************************************
* FILE NAME: isplitc1.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the initialization of static strings used in the        *
*   ISplitCanvas class.                                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#pragma priority( -2147481324 )

extern "C" {
   #include <iwindefs.h>
}

#include <inotify.hpp>
#include <isplitcv.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _ISPLITC1_CPP_
  #include <ipagetun.h>
#endif

// Initialize static objects and notification strings.
INotificationId const ISplitCanvas::orientationId = "ISplitCanvas::orientation";
