// Revision: 93 1.6.1.3 source/ui/basectl/itxtcprv.hpp, control, ioc.v400, 000302  
/* NOSHIP */
#ifndef _ITXTCPRV_
  #define _ITXTCPRV_
/*******************************************************************************
* FILE NAME: itxtcprv.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ITextControlData                                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

#include <ibase.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class ITextControlData 
{
public:
ITextControlData ( );
~ITextControlData();

#ifdef IC_MOTIF
Widget
  textWidget(Widget topParent);
#endif //IC_MOTIF

bool
  setTextFunction,
  containsMnemonic;
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif
