#ifndef _DLGEDIT_
#define _DLGEDIT_

/* Revision: 27 1.3.2.3 source/ui/cclnt/cnr/dlgedit.h, cclcnr, ioc.v400, 000302  */
/*---------------------------------------------------------------------------*
 *
 *                              IBM CONFIDENTIAL
 *
 *            (IBM Confidential-Restricted when combined with the
 *              aggregated OCO source modules for this program)
 *
 *                            OCO SOURCE MATERIALS
 *
 *             20G0400 (C) Copyright IBM Corp. 1992, 1997 (Unpublished)
 *
 *---------------------------------------------------------------------------*
 * dlgedit.h
 *
 * Constants and structures used by Dialog Editor interface routines.
 *
 * History:
 * 13-Jan-92 JeffR    Created
 *---------------------------------------------------------------------------*/

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

/*--------------------*/
/* CCL version number */
/*--------------------*/
#define CCL_VERSION    100

/*-------------------------*/
/* CCL copyright statement */
/*-------------------------*/
#define CCL_COPYRIGHT  "Copyright (c) IBM Corporation, 1992."

/*--------------------------------------------------------*/
/* structure to pass parameters from xxxStyle to xxxDlgFn */
/*--------------------------------------------------------*/
typedef struct {              /* ss */
  HANDLE      hCtlStyle;
  LPCTLSTYLE  lpCtlStyle;
  LPFNSTRTOID lpfnStrToId;
  LPFNIDTOSTR lpfnIdToStr;
} STYLESTRUCT;

typedef STYLESTRUCT *PSTYLESTRUCT;

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif // DLGEDIT header guard
