// Revision: 62 1.3.1.3 source/ui/drag/idmdragh.hpp, dragdrop, ioc.v400, 000302  
/* NOSHIP */
#ifndef _IDMDRAGH_
#define _IDMDRAGH_
/*******************************************************************************
* FILE NAME: idmdragh.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IDMDragHandler                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ihandler.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

#ifdef IC_WIN

class IDMDragHandlerData;

class IDMDragHandler : public IHandler {
typedef IHandler
  Inherited;
public:

/*------------------------------- Constructors -------------------------------*/
  IDMDragHandler  ( );
  virtual
    ~IDMDragHandler ( );

/*---------------------- Ole Initialize and Uninitialize ---------------------*/
static void
  initOle             ( ),
  uninitOle           ( );

protected:
/*----------------------------- Event Dispatching ----------------------------*/
virtual bool
  dispatchHandlerEvent ( IEvent&                event );

private:
/*--------------------------------- Private ----------------------------------*/
IDMDragHandlerData
  *fDMDragHandlerData;

//static unsigned long
// oleRefCount;

//static bool
// fOleInitialized;

}; // IDMDragHandler

#endif /* IC_WIN */

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif //_IDMDRAGH_
