// Revision: 72 1.6.1.2 source/ui/drag/idmevent.inl, dragdrop, ioc.v400, 000302 
#ifndef _IDMEVENT_INL_
#define _IDMEVENT_INL_
/*******************************************************************************
* FILE NAME: idmevent.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in idmevent.hpp.                                          *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved                    *
*                                                                              *
*******************************************************************************/

inline bool IDMSourcePrepareEvent :: targetCanRetry() const
{
#ifdef IC_MOTIF
  return (false) ;
#else
  return (this->bTgtCanRetry);
#endif
}

inline bool IDMSourcePrepareEvent :: noSourceRendering() const
{
#ifdef IC_MOTIF
  return (true) ;
#else
  return (this->bNoSrcRendering);
#endif
}
#endif // _IDMEVENT_INL_
