// Revision: 92 1.7.1.2 source/ui/drag/idmoper.inl, dragdrop, ioc.v400, 000302 
#ifndef _IDMOPER_INL_
#define _IDMOPER_INL_
/*******************************************************************************
* FILE NAME: idmoper.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in idmoper.hpp.                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved                    *
*                                                                              *
*******************************************************************************/

#include <idmsrcop.hpp>
#include <idmtgtop.hpp>

inline _DRAGINFO* IDMOperation :: dragInfo() const
{
  return (this->pPMDragInfo);
}
// #endif

inline bool IDMOperation :: dragWasInterrupted() const
{
  return( !(this->bDragResult) );
}
#endif // _IDMOPER_INL_
