// Revision: 71 1.6.1.3 source/ui/extapp/ieappcc.cpp, oss, ioc.v400, 000302 
/*******************************************************************************
* FILE NAME: ieappcc.cpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file is intended to provide a temporary workaround of a compiler      *
*   RTTI bug.                                                                  *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
// for sources\ocsrc\iextapp
#include <ibase.hpp>


// d:\ocsrc\iextapp\obj\itbarbut.obj(itbarbut.cpp)
#include <itbarbut.hpp>
IToolBarButton::IToolBarButton(const IToolBarButton&) {}


// d:\ocsrc\iextapp\obj\iclipbrd.obj(iclipbrd.cpp)
// d:\ocsrc\iextapp\obj\iclipbrd.obj(iclipbrd.cpp)
#include <iclipbrd.hpp>
IClipboard::Cursor::Cursor(const IClipboard::Cursor& cbc) : fClipboard (cbc.fClipboard) {}
IClipboard::IClipboard(const IClipboard&) {}


// d:\ocsrc\iextapp\obj\itbarfrm.obj(itbarfrm.cpp)
#include <itbarfrm.hpp>
IToolBarFrameWindow::IToolBarFrameWindow(const IToolBarFrameWindow&) {}


#ifdef IC_PMWIN
// d:\ocsrc\iextapp\obj\ianimbut.obj(ianimbut.cpp)
// d:\ocsrc\iextapp\obj\ianimbut.obj(ianimbut.cpp)
#include <itimer.hpp>
#include <ianimbut.hpp>
#include <icustbhd.hpp>

class IAnimatedButtonData : public ICustomButtonDrawHandler {
 typedef ICustomButtonDrawHandler
   Inherited;
public:
  IAnimatedButtonData ( IAnimatedButton* aButton );
  ~IAnimatedButtonData ( );
IAnimatedButton
 *button;
unsigned long
  rate,
  index,
  count;
IBitmapHandle
 *bitmaps;
ITimer
 *timer;
void
  timerExpired ( unsigned long timerId );
IPoint
  bitmapPos;
protected:
void
  drawForeground ( ICustomButtonDrawEvent& event );
};
IAnimatedButton::IAnimatedButton(const IAnimatedButton&) {}
//CRL  ITimerMemberFn<IAnimatedButtonData>::ITimerMemberFn(const ITimerMemberFn<IAnimatedButtonData>& tmf2) : fObject (tmf2.fObject) {}
#endif //IC_PMWIN


// d:\ocsrc\iextapp\obj\itbarcnr.obj(itbarcnr.cpp)
#include <itbarcnr.hpp>
#include <iframe.hpp>
IToolBarContainer::IToolBarContainer(const IToolBarContainer&) : ISetCanvas(9000, 0, 0) {}


#include <itbar.hpp>

#ifdef IC_PMWIN
// d:\ocsrc\iextapp\obj\itbar.obj(itbar.cpp)
#ifdef IC_WIN
 #include <ole2.h>
#endif
#include <icmnfun.hpp>
#include <iframe.hpp>
/*------------------------------------------------------------------------------
| Class:   IToolBarTrackHandler                                                |
|                                                                              |
| Purpose: This handler is attached to the floating frame of a toolbar to      |
|          handle move requests and allow the user to "drag" the toolbar back  |
|          to the owning frame as a frame extension.                           |
|                                                                              |
------------------------------------------------------------------------------*/
class IToolBarTrackHandler : public IHandler {
typedef IHandler
  Inherited;
public:
  IToolBarTrackHandler ( IToolBar* tbar, IToolBarData* tbardata );
  ~IToolBarTrackHandler ( );
void
  checkCursor ();

#ifdef IC_WIN
IToolBarTrackHandler
 &DrawTrackRect (IGraphicContext &gc, LPRECT lprc);
Boolean
  WinTrackRect (IWindowHandle hwnd, void* , PTRACKINFO lpTrackInfo);
#endif

protected:
virtual Boolean
  dispatchHandlerEvent ( IEvent& event );

private:
IToolBar*
  toolBar;
IToolBarData*
  fToolBarData;
IPointerHandle
  pointer;
IPointerHandle
  tbarLeft;
IPointerHandle
  tbarRight;
IPointerHandle
  tbarBottom;
IPointerHandle
  tbarTop;
IPointerHandle
  tbarLeft2;
IPointerHandle
  tbarRight2;
IPointerHandle
  tbarBottom2;
IPointerHandle
  tbarTop2;
IRectangle
  frameRect;
IToolBar::Location
  newLocation;
IToolBar*
  targetTbar;
IToolBarContainer*
  targetCnr;
IWindowHandle
  lastHandle;
};
#endif

IToolBar::IToolBar(const IToolBar&) : ISetCanvas(9100, 0, 0) {}
IToolBar::FrameCursor::FrameCursor(const IToolBar::FrameCursor&) {}
IToolBar::WindowCursor::WindowCursor(const IToolBar::WindowCursor&) {}
//CRL  ITimerMemberFn0<IToolBarTrackHandler>::ITimerMemberFn0(const ITimerMemberFn0<IToolBarTrackHandler>& tmf4) : fObject (tmf4.fObject) {}


// d:\ocsrc\iextapp\obj\itbarfrm.obj(itbarfrm.cpp)
#include <itbarfrm.hpp>
#include <itbfpriv.hpp>
#include <iframe.hpp>
IToolBarTitle::IToolBarTitle(const IToolBarTitle&) : ITitle (0) {}


// d:\ocsrc\iextapp\obj\icustbut.obj(icustbut.cpp)
#include <icustbut.hpp>
ICustomButton::ICustomButton(const ICustomButton&) {}
